commit 251300ad86c56678160d96a50647953477c1fa06
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jun 18 18:54:49 2020 +0200

    Release: 0.25

M	NEWS

commit a7672a45293050f3afa1555c80947fcb5490dd44
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jun 18 20:27:02 2020 +0200

    doc: Update installation instructions

M	README

commit bce737e8b13c7293c6360fa8a56271ac62dd0a02
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jun 18 20:09:45 2020 +0200

    doc: Update supported spec version to 1.4

M	man/desktop-file-validate.1

commit 5bb675a5a79810f11bc9963ce2ae240bc425b022
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jun 18 18:36:14 2020 +0200

    validate: Officially support version 1.4 of the spec

M	src/validate.c
M	src/validate.h

commit 63840764746e5d7be502c50ee87c5f0b0c42d24b
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jun 18 18:14:21 2020 +0200

    validate: Fix parsing of escaped double quote in quoted strings
    
    Fixes #56.

M	src/validate.c

commit a8ea62a567c385b6db526b0f34748314b0122ca7
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jun 18 17:36:01 2020 +0200

    Add guards against multiple inclusion
    
    Inspired by a patch from Félix Piédallu <felix@piedallu.me> that did
    the same thing using #pragma.

M	src/keyfileutils.h
M	src/mimeutils.h
M	src/validate.h

commit 46d5759e3c81c610cb9c49b212e744a10ff9553a
Author: Félix Piédallu <felix@piedallu.me>
Date:   Tue May 12 11:27:50 2020 +0200

    Use python for scripts instead of bash

A	changelog.py
A	install.py
D	install.sh
D	make_dist.sh
M	meson.build

commit 4cd0852d6ef08a8419a7f6d358e9f8232e65d05b
Author: Félix Piédallu <felix@piedallu.me>
Date:   Wed Apr 29 20:56:31 2020 +0200

    Add Meson to gitlab-ci

M	.gitlab-ci.yml

commit 326fcaf32da800e3287c048ca02933900331ee29
Author: Félix Piédallu <felix@piedallu.me>
Date:   Wed Apr 29 20:57:17 2020 +0200

    Add Meson build system

A	install.sh
A	make_dist.sh
A	man/meson.build
A	meson.build
A	meson_options.txt
A	misc/meson.build
A	src/meson.build

commit cec463c93d7211d4b5dea5f79aa451facbfbc3b8
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Sun Jun 7 03:12:40 2020 +0200

    validate: Fix erroneous flagging of extension keys
    
    Fixes #57.

M	src/validate.c

commit b43dfd46683e7218796a0da0042d3fa1ad35b9c6
Author: Rémi Verschelde <rverschelde@gmail.com>
Date:   Sun Jan 19 13:31:16 2020 +0100

    Bump CURRENT_SPEC_VERSION to 1.2
    
    Support was added in 7cc5b25e6213ab4e35e4e5fbd00c1790b7a0cea9,
    but some hardcoded values were missed.

M	man/desktop-file-validate.1
M	src/validate.h

commit b5d3294a4c06a97a3f6e7f6b51a397f2d6a734d5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 27 17:27:06 2020 +0200

    Add support for PrefersNonDefaultGPU .desktop key
    
    And deprecate KDE's X-KDE-RunOnDiscreteGpu.
    
    See: https://gitlab.freedesktop.org/xdg/xdg-specs/-/merge_requests/13

M	src/validate.c

commit 3108a5c206a53139ac987a2eda8eb17fcff5c41b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 27 17:25:34 2020 +0200

    Make it possible to deprecate keys starting with X-
    
    So we can throw warnings to make it easier to migrate to newer versions
    of the spec.
    
    test.desktop: warning: key "X-KDE-RunOnDiscreteGpu" in group "Desktop Entry" is deprecated

M	src/validate.c

commit 3d34993343f6332384309832cc5c01023e565db8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 27 17:12:44 2020 +0200

    ci: Bump Fedora version

M	.gitlab-ci.yml

commit 46b94ee9556f160e0432f8e7784b5172679cdc9d
Author: Dylan Baker <dylan@pnwbakers.com>
Date:   Wed Apr 15 11:55:15 2020 -0700

    validate: Add the "Implements" field from spec version 1.2
    
    Fixes #55

M	src/validate.c

commit e935a1b0c300d8fc97661e01a8200af14876e627
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Nov 14 14:16:13 2019 +0000

    desktop-file-validate: Simplify a couple of error messages
    
    They were printing the value of both keys, but given that the warning is
    that the two values are (almost) the same, it seems a pointless waste of
    space to print both of them. Print only one.
    
    Signed-off-by: Philip Withnall <withnall@endlessm.com>

M	src/validate.c

commit d35abf7b17501ec726d309d14a58696ac07126bf
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Nov 14 14:15:33 2019 +0000

    desktop-file-validate: Add coloured output support
    
    This is only enabled if the output stream supports it, and only if
    compiled against GLib ≥ 2.50. This doesn’t bump the hard dependency,
    though.
    
    Signed-off-by: Philip Withnall <withnall@endlessm.com>

M	src/validate.c

commit d649c1c443a5da13a16d3de6e628b36560acda50
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Nov 14 14:13:48 2019 +0000

    desktop-file-validate: Set locale so that output encoding is correct
    
    The typical case is that UTF-8 values from a .desktop file are displayed
    on a UTF-8 terminal. If we don’t set the locale from the environment,
    though, libc assumes that the terminal only supports ASCII, and
    substitutes all non-ASCII characters with `?`. This makes (for example)
    Cyrillic characters in warning messages useless.
    
    Signed-off-by: Philip Withnall <withnall@endlessm.com>

M	src/validator.c

commit 0dbfdfe12e320487735a05ef9b436ce144ee2633
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Aug 17 21:19:57 2019 +0300

    validate: add support for GNOME Flashback desktop

M	src/validate.c

commit 6eed00cc3cad083a5b85336f72b7c3833b01773e
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sat Aug 17 21:16:31 2019 +0300

    validate: add support for GNOME Classic desktop

M	src/validate.c

commit 21ee53f463959d87032a7523cc129ff1fbb69543
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Fri Jul 26 17:34:11 2019 +0200

    Update the DOAP file with maintainer and issue tracker info.

M	desktop-file-utils.doap

commit 698cf7e97e891a82d87cad2b79ed3e155bb64684
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Fri Jul 26 01:03:06 2019 +0200

    Post-release bump to 0.25.

M	configure.ac

commit 27d370de9ca5121550c343859455d0f1515e1ec5
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Fri Jul 26 00:20:39 2019 +0200

    Release: 0.24

M	NEWS

commit dbe3c1ffa0dfda1ea171a17652bac4673c97b2ed
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Jul 25 18:58:46 2019 +0200

    build: Install elisp even if emacs doesn't work. Don't byte-compile.

M	misc/Makefile.am

commit 4e11d0cecb51997351cfb844c8b8b2bfd3f71869
Author: Hans Petter Jansson <hpj@copyleft.no>
Date:   Wed Jul 24 16:12:18 2019 +0000

    ci: Require automake

M	.gitlab-ci.yml

commit 822cc38c705b88051944d8d5df6f39af47869b68
Author: Hans Petter Jansson <hpj@copyleft.no>
Date:   Wed Jul 24 16:06:52 2019 +0000

    ci: Fix build dependencies

M	.gitlab-ci.yml

commit 7a17ff9d0c6ca96e5693a2b955db43fe03140609
Author: Hans Petter Jansson <hpj@copyleft.no>
Date:   Wed Jul 24 16:03:33 2019 +0000

    ci: Add .gitlab-ci.yml

A	.gitlab-ci.yml

commit 7cc5b25e6213ab4e35e4e5fbd00c1790b7a0cea9
Author: Severin Glöckner <severin.gloeckner@stud.htwk-leipzig.de>
Date:   Wed Nov 21 01:13:42 2018 +0100

    Allow version 1.2
    
    Has been forgotten, as the lastest spec is 1.2

M	src/validate.c

commit 16faec039a27db5914cdb3f91cd1eae45f639627
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Tue Jul 23 19:38:21 2019 +0200

    validate: Add support for Deepin in OnlyShowIn.

M	src/validate.c

commit 448ebe8825a9f9be6f3278fc1ca415cd26dd96d9
Author: Chris Lamb <lamby@debian.org>
Date:   Sun Aug 20 08:03:21 2017 -0700

    update-desktop-database.c: Sort output within lines, not the just between them.
    
    Whilst working on the Reproducible Builds effort [0], we noticed
    that desktop-file-utils produces mimeinfo.cache files that are not
    reproducible.
    
    This is because it inherits the non-deterministic hash ordering of
    the mime_types_map data structure.
    
    Patch attached that sorts just prior to output.
    
     [0] https://reproducible-builds.org/
    
    Signed-off-by: Hans Petter Jansson <hpj@cl.no>

M	src/update-desktop-database.c

commit 7cebcedd9cf392977d40910a660245dc3f73b257
Author: Jasper Lievisse Adriaanse <j@jasper.la>
Date:   Fri Dec 22 10:40:40 2017 +0100

    Use pledge(2) on OpenBSD to limit the sets of syscalls that can be used
    
    Signed-off-by: Hans Petter Jansson <hpj@cl.no>

M	configure.ac
M	src/update-desktop-database.c

commit 217cb97b7a9b093835282f736be34f0d4b01be09
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Tue Jul 23 18:46:53 2019 +0200

    validate: Add support for the Enlightenment desktop.

M	src/validate.c

commit f92d4675a864924ba80345b2b6b9bf3816fe26a4
Author: Ikey Doherty <ikey@solus-project.com>
Date:   Thu May 11 06:20:55 2017 +0100

    validate: Add support for the Budgie Desktop as an OnlyShowIn entry
    
    The Budgie desktop has existed since 2013 and is in wide spread usage,
    as indicated in Solus, Ubuntu Budgie, as well as presence within the
    Debian and Arch repositories.
    
    Currently the Budgie desktop may identify itself as either "GNOME:Budgie"
    or "Budgie", given the current use of gnome-session.
    
    Signed-off-by: Ikey Doherty <ikey@solus-project.com>
    Signed-off-by: Hans Petter Jansson <hpj@cl.no>

M	src/validate.c

commit 92af4108750ceaf4191fd54e255885c7d8a78b70
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Apr 9 17:06:37 2018 -0400

    Add font as valid media type
    
    This was codified in RFC 8081, and some desktop apps are using
    this now.

M	src/mimeutils.c

commit 5b88c95c45e91781aed441c446210c6979350c3f
Author: David Faure <faure@kde.org>
Date:   Sat Aug 20 10:36:57 2016 +0200

    Added Pantheon to the list of desktop environments
    
    https://bugs.freedesktop.org/show_bug.cgi?id=97385

M	src/validate.c

commit d281ed4b9db22ff9e4c7e56b5cce58a72d11fc54
Author: Pascal Terjan <pterjan@google.com>
Date:   Wed Aug 17 21:52:48 2016 -0400

    Fix missing ; when appending to a list not ending with one
    
    https://bugs.freedesktop.org/show_bug.cgi?id=97388
    
    Signed-off-by: Hans Petter Jansson <hpj@cl.no>

M	src/keyfileutils.c

commit 39d97ce20acba97ec924aa9ddd7016fc32252960
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Sun Jun 19 22:11:42 2016 +0200

    Post-release bump to 0.24.

M	configure.ac

commit 56f879e9564b28886565115ea7528ec13db97759
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Sat Jun 18 19:46:47 2016 +0200

    Release: 0.23

M	NEWS

commit 9de5e8b2c29da6896663979189f758eca03c479b
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Sat Jun 18 19:01:08 2016 +0200

    validate: Add LXQt to list of registered environments.
    
    Patch from Jauhien Piatlicki.
    https://github.com/lxde/lxqt
    
    https://bugs.freedesktop.org/show_bug.cgi?id=79561

M	src/validate.c

commit ccdf65853534b9f116ce6e38b0ad5375cf33820e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Dec 18 15:57:30 2014 -0500

    Accept version 1.1
    
    When the current spec version was updated to 1.1, we forgot
    to ensure that we actually accept Version=1.1 in desktop files.

M	src/validate.c

commit 5e8047d0d7a622dfd19dba0310ad58d8b4e2f16b
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Fri Jun 17 04:00:04 2016 +0200

    validate: Ensure DBusActivatable filenames conform to reverse-DNS notation.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=66904

M	src/validate.c

commit ec0949091f7a771c852c0314108f9aa4b2a25575
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Wed May 11 22:41:14 2016 +0200

    mimeutils: Allow multipart/related MIME type.
    
    It's implemented as an extension of RFC 822 and is used for MHTML.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=93376

M	src/mimeutils.c

commit cddcd6612b66cb3963920b5f2734850a217d7020
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Mon Feb 29 01:50:14 2016 +0100

    validate: Fix buffer over-read on incomplete escape sequence.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=94303

M	src/validate.c

commit be0c630a19aa1788ef731def911770ce497d6ba3
Author: David Faure <faure@kde.org>
Date:   Tue Apr 1 22:29:08 2014 +0200

    Add EDE to the list of desktop environments
    
    https://bugs.freedesktop.org/show_bug.cgi?id=56353

M	src/validate.c

commit 848c82b2332d0556c22c10a9c64d1f39850271fe
Author: Michael Webster <miketwebster@gmail.com>
Date:   Fri Mar 7 20:16:52 2014 -0500

    Add Cinnamon to list of registered environments.
    
    https://github.com/linuxmint/Cinnamon
    
    https://bugs.freedesktop.org/show_bug.cgi?id=73497

M	src/validate.c

commit 9e279cc3fac9a7e92bf426867fa83c0c7aec5711
Author: Jerome Leclanche <jerome@leclan.ch>
Date:   Tue Apr 1 15:33:16 2014 +0200

    desktop-file-validate: Trailing semicolons have been downgraded to optional
    
    https://bugs.freedesktop.org/show_bug.cgi?id=76902
    Approved by David Faure and Ryan Lortie

M	src/validate.c

commit 08e0f4dc785be7d82ffe0aa5252dd6dbca648b3e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Aug 29 09:57:11 2013 +0200

    release: post-release bump to 0.23

M	configure.ac

commit 4944725bddcf5821d53d7d648fc53347ce12cc03
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Aug 29 09:55:53 2013 +0200

    release: 0.22

M	NEWS

commit a539c745051d7eeea6617a0512b71a649105de52
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Aug 29 09:53:31 2013 +0200

    validator: Do not print two errors if file doesn't exist

M	src/validator.c

commit 0b6e84cd489091b5fdaea6ffac0fc8a83589e8c7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 14 12:18:35 2013 -0400

    Allow validating multiple desktop files
    
    There is no good reason to not allow this.
    https://bugs.freedesktop.org/show_bug.cgi?id=60744

M	src/validator.c

commit fd0df83df2531e3e25b4d56d0450b39004b8ed20
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 14 12:04:28 2013 -0400

    Admit that we validate more than 1.0
    
    While the versioning of the spec itself is in a somewhat sad
    state, it is more realistic to say we are validating according
    to 1.1 than to 1.0.

M	src/validate.h

commit 9075a05a384998ab96ad707b412a54fa5a8ddf48
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 14 11:55:58 2013 -0400

    Warn about OnlyShowIn in Action groups
    
    This was recently removed from the desktop entry spec,
    see https://bugs.freedesktop.org/show_bug.cgi?id=66712

M	src/validate.c

commit 479c0caa966f60367a8595b7f566ced3a82b889b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 14 11:54:14 2013 -0400

    Add DBusActivatable key to allowed keys
    
    This is a recent addition to the desktop entry spec.

M	src/validate.c

commit fbbc223e238e0a2da0caff921bdf5aa42f424549
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 14 12:32:23 2013 -0400

    Update the desktop-file-validate man page
    
    The man page was not mentioning --no-hints, and was referring
    to version 1.0 of the desktop entry spec. This commit fixes
    both issues.

M	man/desktop-file-validate.1

commit f8931babe81c347c273c41a5c8bb214a8ca30f45
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 14 12:28:40 2013 -0400

    Tweak help output to stay within 80 columns

M	src/validator.c

commit 645a01946ed5abdf3e314f9b25c24db6132c1988
Author: Colin Walters <walters@verbum.org>
Date:   Mon May 20 16:01:35 2013 -0400

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt

M	autogen.sh

commit f0a269e1d65843822915faa1bb020da8b6b9954c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 7 09:02:08 2013 +0100

    update-desktop-database: List only once a desktop file per mime type
    
    If a desktop file is registering the same mime type more than once
    (useless but okay), the desktop file was listed more than once for that
    mime type in mimeinfo.cache.
    
    It's easy to avoid, so make sure we only have a desktop file once per
    mime type.

M	src/update-desktop-database.c

commit ee609e13bbdab6385721b2f27c84f34a049c2fb4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 16:10:38 2012 +0200

    release: post-release bump to 0.22

M	configure.ac

commit 762b560ddbea19dfe09f818c7185229b4a3bb080
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 16:09:48 2012 +0200

    release: 0.21

M	NEWS

commit c0c4c6c1dcfc410984a96193678f40b7a31c9ba1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:25:25 2012 +0200

    validate: Add Feed category, that can be used with Network
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20197
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit 689ec978d17769092e0dde3c79c1ce2db871737e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:24:56 2012 +0200

    validate: Add Network as related category for Monitor
    
    https://bugs.freedesktop.org/show_bug.cgi?id=49699
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit a0e4f097c4d5d0da91dd6112c42111c95b18fff9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:24:22 2012 +0200

    validate: Add Shooter category for games
    
    https://bugs.freedesktop.org/show_bug.cgi?id=38553
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit 0c2cc0855f537c8751af0bd47415193a55a903d2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:23:41 2012 +0200

    validate: Add Maps category, and document where to put GIS applications
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20187
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit 10c0d9e0af220d973c7a6ca80f7bb4ea3074e85f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:22:59 2012 +0200

    validate: Add Science as related category for more Education categories
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20186
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit dc41f7391463ed083edff89e6719949f2755d18a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:21:50 2012 +0200

    validate: Make Science a main category
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20186
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit 7948c96f7cf698f117d32e6e796e9073e77cc610
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 15:00:32 2012 +0200

    validate: Add Spirituality and Humanities categories
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20192
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012525.html

M	src/validate.c

commit 7a647466f4455c289549e399b20f86bd50190df3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 11 14:49:13 2012 +0200

    validate: Change some related categories from "and" to "or"
    
    https://bugs.freedesktop.org/show_bug.cgi?id=35844
    
    See http://lists.freedesktop.org/archives/xdg/2012-October/012526.html

M	src/validate.c

commit 055c439fade52e30f3c3a866881f6a2890c2a331
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 3 15:55:52 2012 +0200

    validate: Code style fixes

M	src/validate.c

commit 38b319d92525d1b1f887b1b5f094d416b51bd74c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 3 15:48:35 2012 +0200

    validate: Accept and validate GNOME3/GSettings for AutostartCondition
    
    We try to validate as much as we can the content of AutostartCondition.
    This means:
    
     - for GNOME3, we check that if-session/unless-session is used with an
       additional argument
     - for GSettings, we check that two arguments are passed
    
    Additionally, we now add more validation for the GNOME condition (one
    argument needs to be passed).
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55483

M	src/validate.c

commit 355b4c6f7e4203a7c8ae184a2db76ae157235003
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 3 13:01:11 2012 +0200

    validate: Rework multiple main categories detection
    
    AudioVideo is required if Audio or Video is present, and that would be
    two main categories. But in that case, this is okay. So we need to
    ignore the case of two main categories when one is required by the
    other.

M	src/validate.c

commit b18be61ad4957ea312efcbe65c6cffe2ef52fc6a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 3 11:48:19 2012 +0200

    validate: Clarify message when outputting an item of list
    
    In some messages, we don't display the key value, but one item of the
    value (which is a list). Make this clearer.

M	src/validate.c

commit 682184ed59154d68c8c333609f4cea777ac67079
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 3 08:44:02 2012 +0200

    validate: Add hint about suggested related categories
    
    Now that related categories are not required (in general, see below for
    an exception), we don't need to error out when they're missing. Still,
    it's nice to suggest them with a hint.
    
    Note that there are still cases where another category is required
    (AudioVideo for Audio, for instance).
    
    Part of https://bugs.freedesktop.org/show_bug.cgi?id=35844 (comment 6
    and later)

M	src/validate.c

commit 02cbbd7f90ccb4f1b7e65e32aaabaa3057c61b76
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 3 08:21:57 2012 +0200

    validate: Add Adult category
    
    See http://lists.freedesktop.org/archives/xdg/2011-November/012106.html

M	src/validate.c

commit 6a685a92691087eeb0325355e52b42ecf621f797
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 3 08:17:39 2012 +0200

    validate: Output hint if more than one main category is present

M	src/validate.c

commit c3eeb8c7b4a63233226ef76a56221a167510253e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 3 07:48:59 2012 +0200

    validate: Only print hint if no main category is present, not an error
    
    The requirement to have at least one main category was removed for the
    specification a few months ago. It's still useful to tell people with a
    hint about the risk of not including one, though.
    
    See http://lists.freedesktop.org/archives/xdg/2011-November/012123.html
    
    Part of https://bugs.freedesktop.org/show_bug.cgi?id=35844 (comment 6
    and later)

M	src/validate.c

commit a97707811e2669b6a52a861c41cf46838fab8eb5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 3 07:41:14 2012 +0200

    validate: Add function to print hints, and --no-hints option
    
    This is useful to suggest improvements to the user.

M	src/install.c
M	src/validate.c
M	src/validate.h
M	src/validator.c

commit fadbee1bdceffa3c6ffdbaa67563dbcb0ce059f7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri May 11 14:06:28 2012 +0200

    validate: Add TDE to to list of registered OnlyShowIn
    
    See http://lists.freedesktop.org/archives/xdg/2012-April/012374.html

M	src/validate.c

commit ff6bf3b5f8e1e2f384939db9d212b4b21c24d5f3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Apr 11 12:48:05 2012 +0200

    validate: Add XFCE to to list of registered categories
    
    See http://lists.freedesktop.org/archives/xdg/2012-March/012302.html and
    http://lists.freedesktop.org/archives/xdg/2012-April/012348.html

M	src/validate.c

commit 56eddf4ce5008dc95e2b3725684aa2b7cb053c54
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 3 14:07:50 2012 +0200

    install: Do not require glib >= 2.28
    
    We still only check for an older version of glib, and requiring 2.28
    just for g_slist_free_full() can be silly. So if we don't have 2.28,
    just use the equivalent trivial code.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=48133

M	src/install.c

commit e82a75619484c8a5362787187871ae1d04cf006c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 5 11:03:49 2012 +0100

    release: post-release bump to 0.21

M	configure.ac

commit a00235a091e4d49825c62f6dbb2de43b432e052b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 5 11:02:30 2012 +0100

    release: 0.20

M	NEWS

commit 191a09f0e1bf2ebd5a4dcbb5b106a91a3b335716
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 2 18:57:24 2012 +0100

    validate: Cleanup previous commit
    
    One small fix worth mentioning is that we don't consider seeing an Exec
    key in an action group as having seen an Exec key in the main group.

M	src/validate.c

commit 2243948341589021a3d5c94ba538864bef80c180
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Mon Feb 6 16:21:37 2012 +0100

    validate: Validate Desktop Actions
    
    Destkop Actions were recently reintroduced in the specification, with
    full specification of semantics and allowed keys.
    
    Previously the validator would allow and ignore any desktop action
    description, now it requires them to be compliant.

M	src/validate.c

commit b7308e73c990f4e5b762266ed3d37af20b77809a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 22 14:40:54 2012 +0100

    build: Update git.mk and ignore generated tarballs

M	Makefile.am
M	git.mk

commit 755001303a7b58bc869034c5ba98b66b394d817e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 22 14:40:41 2012 +0100

    build: Generate ChangeLog on make dist

M	Makefile.am

commit 2792eed31f4be15f135948d131b08920aa225e63
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jan 24 16:14:47 2012 +0100

    Add MATE and Razor to list of registered environments
    
    See http://lists.freedesktop.org/archives/xdg/2012-January/012250.html

M	src/validate.c

commit c5110b3253239f80485d879e7d8a186f3a63e7c4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 12 11:45:16 2012 +0100

    validate: Handle list of locale strings in fixup too
    
    https://bugs.freedesktop.org/show_bug.cgi?id=44098

M	src/validate.c

commit e8e510b58c72f314645872f440d1abcffb7bfeb2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 16:11:05 2011 +0100

    release: post-release bump to 0.20

M	configure.ac

commit 143095da3e8459d58372fb354bde11f77e4adac6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 16:10:10 2011 +0100

    release: 0.19

M	NEWS

commit 7fa48b327e9abb1fe7cc5de04f3301c865cae390
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 16:09:25 2011 +0100

    build: Fix distcheck

M	man/Makefile.am

commit 499748b93a410905e15e12216bf77d0180a15740
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 09:46:16 2011 +0100

    build: Create xz tarballs

M	configure.ac

commit 332835b24602706f71d5f5d912eac4f7a087d8ba
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Dec 19 15:55:29 2011 +0100

    validate: Add support for updated Keywords key
    
    This is not a KDE-specific key anymore, but a list of locale strings.

M	src/validate.c

commit b4beadb0efba60acfb95fb3036fe9d26b66972cf
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Dec 15 15:02:33 2011 +0100

    update-desktop-database: Ignore desktop files with Hidden=true
    
    Those desktop files should be considered as non-existent, according to
    the spec.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=31099

M	src/update-desktop-database.c

commit c1cf441c9797135a9d185fd48441515847b349af
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 18:07:58 2011 +0100

    man: Install a desktop-file-edit man page
    
    It's actually just a symlink to the desktop-file-install one.

M	man/Makefile.am

commit 90beafc33742b9ffa9761c98737af1210e70307e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 18:03:58 2011 +0100

    man: Update manual for desktop-file-install/desktop-file-edit changes

M	man/desktop-file-install.1
M	man/desktop-file-validate.1

commit e27d737869d6ad065c12d84b10501f63595be18a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 17:36:59 2011 +0100

    install: Look at RPM_BUILD_ROOT to know where to install desktop files
    
    If the default directory to install desktop files is used, then look at
    the RPM_BUILD_ROOT environment variable in case a package is being built
    to correctly install the .desktop file.

M	src/install.c

commit 0df0ca25aab182de40ca0ca3803dafb103eb9db5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 17:02:41 2011 +0100

    install: Add hidden --edit-mode to force edit mode
    
    This helps the developer test the mode without installing :-)

M	src/install.c

commit 52293fd32e85c630a4141dde726b13ac506eec60
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 17:01:51 2011 +0100

    keyfileutils: Do not pretend we can save to URI
    
    This is just wrong, and breaks saving to relative paths in edit mode.

M	src/install.c
M	src/keyfileutils.c
M	src/keyfileutils.h

commit 9e11f3864d118a17cf5be5f7979e3510cbe26a95
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 16:51:42 2011 +0100

    install: Add an edit mode
    
    This mode is used when the program is called as desktop-file-edit.
    
    In this mode, we just allow inline editing of one .desktop file.

M	src/install.c

commit ead67d72868bdf06592303583cbecaba2dda4666
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 16:51:22 2011 +0100

    build: Create a desktop-file-edit symlink to desktop-file-install

M	configure.ac
M	src/Makefile.am

commit b0d4472c9af1d6fa008954988873c1be7104cdc2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 15:56:36 2011 +0100

    install: Use "process" instead of "install" in messages
    
    This makes the tool feel a bit less install-specific.

M	src/install.c

commit 78966bb893e619542dfb04cca226169bc4aa6290
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 15:52:24 2011 +0100

    install: Move the install command line options to an option group
    
    They're usually not needed as the default behavior is fine.

M	src/install.c

commit e6f385182a1735eea36ca1041ed53696a62c89c6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 15:41:57 2011 +0100

    keyfileutils: Also copy translations when copying a key
    
    We of course don't  do that if we're dealing with keys that are
    localized keys.

M	src/keyfileutils.c

commit 9afde296e5ef63c1908b93811f9204a01eeb130e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 15:28:19 2011 +0100

    keyfileutils: Drop unneeded check

M	src/keyfileutils.c

commit 905bf3b30bdf3206c741454cf69183b58403cd65
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 15:23:37 2011 +0100

    install: Remove localized keys when setting/removing a key
    
    If we set a key to a new value, then clearly, the translations are
    outdated and should be removed.
    
    If we remove a key, then the intention is to also remove the
    translations.

M	src/install.c
M	src/keyfileutils.c
M	src/keyfileutils.h

commit 744b422e8acbc60bc0289a0b4ff4f45d07a31e32
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 15:13:18 2011 +0100

    install: Add --set-key/--set-value options to set an arbitrary key
    
    Also move the reversal of the edit_actions list to a post-parsing hook.

M	src/install.c

commit 921e85969dc4fe20246b59887b093da838ca3f5a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 14:07:50 2011 +0100

    install: Move options around
    
    The new order in --help-edit makes more sense.

M	src/install.c

commit a64187fc8a82bc8dda824bdf5046e6455377425a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 14:04:13 2011 +0100

    install: Add options to set Name, GenericName, Comment, Icon keys

M	src/install.c

commit aa770a3b41d14c0ac27fed18dd7024de9e5b8d77
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 12:37:45 2011 +0100

    install: Add --add-not-show-in/--remove-not-show-in options

M	src/install.c

commit e09e297506ce5c84b2ad7924ac94391a2437ed61
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 12:28:46 2011 +0100

    install: Also handle --copy-generic-name-to-name & friends ordered
    
    This is important for this to work correctly:
      --remove-key GenericName --copy-generic-name-to-name

M	src/install.c

commit d1f16cef6f3a9124cb7ea5d42afdde32f56a2a79
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 11:42:10 2011 +0100

    install: Respect order of edit options
    
    We want to support cases like:
      --remove-key Categories --add-category AudioVideo
    
    Until now, we were not keeping the order of edit options and this
    resulted in removing keys before editing lists (which is wrong for the
    case above).
    
    In general, people expect the order of their edit options to be
    respected.

M	src/install.c

commit cd00549a7f5ca0486560cab47eb88498a2128ea8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 11:16:47 2011 +0100

    install: Split parsing of install & edit options

M	src/install.c

commit dcda28585a376497b97826d3090bdb498f9858a2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 14 11:15:42 2011 +0100

    Fix build by adding forgotten ','

M	src/mimeutils.c

commit 858a1244a12e30b6bd5e92fffc05838d3e3d4969
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 19 09:49:36 2011 +0200

    Mark all zz-application/* MIME types as aliases
    
    Even popular zz-application/* MIME types (like
    zz-application/zz-winassoc-doc) should actually just be used as aliases
    to the real valid MIME types.
    
    This needs some fixes to shared-mime-info so that it knows about the
    aliases, but it's the right thing to do.

M	src/mimeutils.c

commit 987dd40f9633d517a3894d48ef2fd909a96d93f4
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Fri Sep 30 16:27:36 2011 +0200

    Deal with various zz-application/zz-winassoc-XXX mime types
    
    zz-application is not a valid media type, but unfortunately there are
    quite a few mime types out there in the form of
    zz-application/zz-winassoc-XXX
    
    This patch makes mimeutils deal with these in 2 different ways:
    1) For the "popular" ones (doc and xls) simply accept them
    2) For the others, advice the standard mime type for these files
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41286

M	src/mimeutils.c

commit 7867a669ffb7d6f50f59b4c9e16b062c6883ce26
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 14 14:58:56 2011 +0200

    build: Modernize build system a bit
    
    Do not use libtool as there's nothing needing it.
    Use the tar-ustar option for AM_INIT_AUTOMAKE for better tarballs.
    Correctly use ACLOCAL_FLAGS in Makefile.am instead of configure.ac.
    Do not use AM_MAINTAINER_MODE as it is not recommended by automake
    developers.
    Do not use AC_ISC_POSIX nor AC_HEADER_STDC as they shouldn't be needed
    on modern systems.

M	Makefile.am
M	autogen.sh
M	configure.ac

commit 47322e554cc5388a3e6325f36b7d07a13f124594
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 31 21:58:44 2011 +0530

    Add Unity to list of registered environments
    
    See http://lists.freedesktop.org/archives/xdg/2011-March/011856.html

M	src/validate.c

commit 4bd92be521ad76b0bdd81cc18e33fc313fe41ff0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 13 11:05:29 2011 +0100

    release: post-release bump to 0.19

M	configure.ac

commit 4fca4f2f474c6bf7fa0895599265543739499029
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 13 11:04:13 2011 +0100

    release: 0.18

M	NEWS

commit b123a26be1caac35860a8d7085566a8fba14e67b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Oct 9 11:49:09 2010 +0200

    build: Update git.mk from pango

M	git.mk

commit 465abba0ff50b660fd7e90f048daf4af279a790c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Oct 5 11:54:06 2010 +0200

    Accept x-scheme-handler/* mime types
    
    This will be used by desktops to know which applications can handle a
    URI scheme.

M	src/mimeutils.c

commit cef7a35679278174298e0e82cc2582a26a3e8e28
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 20 17:46:09 2010 +0200

    man: Fix title of update-desktop-database man page

M	man/update-desktop-database.1

commit 2224bf1b5e191c9caddb7dd3e7ba72c1e2850734
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 20 17:45:58 2010 +0200

    build: Update all Makefile.am to more recent standards

M	Makefile.am
M	src/Makefile.am

commit 2227d19f65ec398d84ac47c539250c2b6d67f907
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 20 17:38:43 2010 +0200

    misc: Update instructions for commit messages
    
    We're switching to "tag:" instead of "[tag]".

M	ChangeLog

commit 7a16049bfbf3f9c63d15a4f62e25d222db121fb2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Sep 10 05:02:20 2010 +0200

    Sort mime types alphabetically in update-desktop-database cache
    
    This makes the cache easier to read, in case some people want to take a
    look.

M	src/update-desktop-database.c

commit f3c5a0da2e3d57871c7fdcb716e8e1274357a449
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Sep 10 04:46:37 2010 +0200

    Update README to stop saying there's no doc

M	README

commit a658aaa1ab966e14e92b9dbd721f3bbd3fa53035
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Sep 10 04:37:50 2010 +0200

    [release] post-release bump to 0.18

M	configure.ac

commit a96375ffb1bc7b948417d598b296b1cbf1094907
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Sep 10 04:36:14 2010 +0200

    [release] 0.17

M	NEWS

commit a8c9483a393da214dc47b3a2a7c571a3a0b6e3b9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Sep 10 04:24:58 2010 +0200

    Add man pages

M	Makefile.am
M	configure.ac
A	man/Makefile.am
A	man/desktop-file-install.1
A	man/desktop-file-validate.1
A	man/update-desktop-database.1

commit 90938d0623031b682734646040fcbd655b3a9652
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Sep 10 04:22:41 2010 +0200

    Rework help of all tools
    
    Some text was reworded, and the options were re-ordered.

M	src/install.c
M	src/update-desktop-database.c
M	src/validator.c

commit d6e42384c85fe45b8ac058a1606039046213655d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Sep 10 04:20:16 2010 +0200

    Always output values as lists in the cache from update-desktop-database
    
    When there was only one desktop file for a mime type, we were not adding
    the trailing ;.

M	src/update-desktop-database.c

commit 2291687ae20368c303f2ca30e50f48d100984f3f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Sep 10 03:32:02 2010 +0200

    If -q and -v are passed to update-desktop-database, ignore -v

M	src/update-desktop-database.c

commit 7e435f066472891981b826c5bb8f4c7b02319b28
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 19:30:17 2010 +0200

    Add HACKING, update README

A	HACKING
M	Makefile.am
M	README

commit 674786e1bab7d5a50f9f36786cdae4afa6232986
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 17:52:45 2010 +0200

    Update license files to latest text
    
    Note that this doesn't change the license. The license text was updated
    for the latest FSF address, for example.

M	COPYING

commit 0770dc126c528aace2b7471eebed61e346986444
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 17:51:59 2010 +0200

    Rename configure.in to configure.ac

R100	configure.in	configure.ac

commit 16bf494848cb4dd63abd66f556f39aa702f40bd3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 17:50:56 2010 +0200

    Remove empty INSTALL

D	INSTALL

commit 1cb81f449ade2635f06a0c15e0c57aceba6b2429
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 17:50:27 2010 +0200

    Update git.mk from pango

M	git.mk

commit d6b2465f06951dc26e88122281665e8a4cfd938b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 19 19:26:32 2010 +0100

    Fix typo in comment

M	src/mimeutils.c

commit b145a2c99d21f26809d9e6140bf7e2aa062b6b02
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 19 19:21:28 2010 +0100

    Make icon names with an extension for Icon key a non-fatal error
    
    We made this a warning to not annoy everybody, but this is really an
    error. Since we now have a mechanism to handle non-fatal error, use it
    here.

M	src/validate.c

commit 35cfa21227e77a80d8ccf1759ce23565fac3960e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 19 12:09:43 2010 +0100

    Accept chemical/* mime types as valid types
    
    While those mime types are not strictly valid since they were never
    accepted by the IANA, they are used by real applications. It's also
    well-defined (http://www.ch.ic.ac.uk/chemime/), and used by
    real-world applications.
    
    Thanks to Pascal Terjan <pterjan@mandriva.com> for noticing this.
    
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=420795

M	src/mimeutils.c

commit 47c06813dcf46f6dad4ba06d9e435ae6f1a649bf
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Mar 10 04:11:44 2010 +0100

    [release] post-release bump to 0.17

M	configure.in

commit aa03ad7936b43a1341828acefc63b4bed9ec7e02
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Mar 10 04:11:16 2010 +0100

    [release] 0.16

M	NEWS

commit 347947381fe6ff56c18415223205aa0b52a02230
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 05:08:05 2010 +0100

    Handle some exceptions to be a bit more flexible
    
    There are known exceptions like misc/ultravox that we should support.
    
    We should also recommend to use a valid alias instead of an invalid mime
    type (for example, flv-application/octet-stream should be replaced with
    video/x-flv).

M	src/mimeutils.c

commit be3aec1ebb3a335bc757bb4588609ca2c2722e7c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 04:46:44 2010 +0100

    Make the invalid mime type error non-fatal for now

M	src/validate.c

commit 847c557baf630adaa03ebb8fbb179bc3dbbeb492
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 04:34:59 2010 +0100

    Fix wrong return value in case of error
    
    FALSE was used instead of MU_INVALID.

M	src/mimeutils.c

commit 377e919087cf2711f31cee7c06b40401e4a70fde
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 04:34:10 2010 +0100

    Fix warning for X- media types not showing

M	src/mimeutils.c

commit 520a9e3bb976b6877ee697ae6f6d0cc5a23b1ba5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 04:32:30 2010 +0100

    Handle some fdo media types correctly
    
    inode, x-content and x-directory are used already, and should be
    considered as special case (even though they haven't be registered with
    IANA).
    
    Note that x-directory is discouraged, though, since inode/directory
    replaces it.

M	src/mimeutils.c

commit 0a2a429ca2943f7b329d9a90f4950588a56f9f15
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 04:07:40 2010 +0100

    Make some of the new errors non-fatal for now
    
    Making errors introduced in a release fatal will annoy many people.
    They're still marked as errors and will be visible (so fixable), but
    they won't make the program return 1, so people can still work.
    
    They should be marked as fatal after the release.

M	src/validate.c

commit baf763143043b9be48ef8dc8bf7050f418aa0bb2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 03:38:45 2010 +0100

    Accept empty Categories key as valid
    
    It's really like not having the Categories key at all, which is valid.

M	src/validate.c

commit 06c29d6e1246cc63c9c0296c96ea7885f982f868
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 03:35:33 2010 +0100

    Mark the AutostartCondition key as an Application key

M	src/validate.c

commit ca41044f3d2311ad4300cdfc864a670e7f772626
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 03:29:06 2010 +0100

    Use g_utf8_strchr instead of strchr to be on the safe side
    
    Since the string can be UTF-8, it's better to make sure we look for a
    character in a UTF-8-compatible way.

M	src/validate.c

commit 2b51e462ce272dd829dc8f7bb4339b47243ee1c5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 03:28:13 2010 +0100

    Use G_DIR_SEPARATOR instead of '/'

M	src/validate.c

commit 31585ac26ff458159b01c6bcfcf1405e164d6448
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 03:26:12 2010 +0100

    Handle AutostartCondition key
    
    While this never really made it into the autostart specification, it's
    in use now. And it was well-received when proposed, so it will probably
    enter the specification.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20627

M	src/validate.c

commit 08892f7b705b8c92aaa9b7a2872e0ded3f96f6d6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 02:42:16 2010 +0100

    Tweak an error string

M	src/update-desktop-database.c

commit 681d5173684a8a758d913e52cc704e3dab3d562c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 02:40:50 2010 +0100

    Improve one string for translation
    
    This also fix https://bugs.freedesktop.org/show_bug.cgi?id=24924 as a
    side-effect.

M	src/update-desktop-database.c

commit 2ef8bc132a15cb02e5bbb424bc79d4c1c4fad0e0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 02:36:48 2010 +0100

    Mark all output strings as translatable

M	src/update-desktop-database.c

commit 25b0d59ab575e434f040face089e6ba83ab0b807
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 02:34:06 2010 +0100

    Consistent use of quotes in error messages

M	src/update-desktop-database.c

commit 843e5f4cd8680f57add251c745d19ba2db38d05e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 02:29:06 2010 +0100

    Improve error messages
    
    Loosely based on patch from Erik Hovland <erik@hovland.org>
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20039

M	src/update-desktop-database.c

commit fdb63c3d0416d8d54747f14f66b635ebf241a852
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 02:22:38 2010 +0100

    Update copyrights, and add vim modelines

M	src/install.c
M	src/keyfileutils.c
M	src/keyfileutils.h
M	src/mimeutils.c
M	src/mimeutils.h
M	src/update-desktop-database.c
M	src/validate.c
M	src/validate.h
M	src/validator.c

commit 5bc232624ba230b35d9088abdd001f15ff13055e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 17 02:04:08 2010 +0100

    Fix indentation and remove trailing spaces

M	src/install.c
M	src/mimeutils.c
M	src/update-desktop-database.c
M	src/validate.c
M	src/validator.c

commit 7240dff57b6e4fd4e1a03167bab402e69356e3c7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 16 01:14:48 2010 +0100

    Generate bzip2 tarballs

M	configure.in

commit abaf456abfecd26c18e4241edb40c177161487c1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 16 01:11:21 2010 +0100

    Do not try to use versioned binaries of automake/aclocal
    
    We were trying to use binaries versioned 1.7 which is quite old anyway.
    Any real build system will have non-versioned binaries.

M	autogen.sh

commit 91bce492f1cddea3c43cbf9fbbf136d87d8c9acb
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 16 01:08:00 2010 +0100

    Add a DOAP file

A	desktop-file-utils.doap

commit d7b231ad854a4695e2261d87910b148f80c9af33
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 16 01:03:43 2010 +0100

    Remove .cvsignore files

D	.cvsignore
D	misc/.cvsignore
D	src/.cvsignore

commit 4dd06da006711e69de7a76f1ea799e446f95dc78
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 16 01:02:04 2010 +0100

    Put commit message guidelines in ChangeLog

M	ChangeLog
C100	ChangeLog	ChangeLog.pre-git

commit 07a6e2688bfaba6872ca1495fffbd7bbe17022d3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 16 01:01:00 2010 +0100

    Use git.mk from pango to autogenerate .gitignore files

M	Makefile.am
A	git.mk
M	misc/Makefile.am
M	src/Makefile.am

commit 1ca85988dec761535699d3cb14ba8a551411a4d6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 21 17:23:23 2009 +0000

    use AM_SILENT_RULES if available for a quiet build
    
    2009-07-21  Vincent Untz  <vuntz@gnome.org>
    
            * configure.in: use AM_SILENT_RULES if available for a quiet build
            * configure.in:
            * Makefile.am: use the m4 directory as macro dir

M	.cvsignore
M	ChangeLog
M	Makefile.am
M	configure.in

commit 54e7d80e9dc2042ce0331cf65af2fb85c2960962
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Jan 10 17:18:40 2009 +0000

    add "warning" to the error strings that are output when fixing the desktop
    
    2009-01-10  Vincent Untz  <vuntz@gnome.org>
    
            * src/validate.c: (desktop_file_fixup): add "warning" to the error
            strings that are output when fixing the desktop file so that people can
            learn about the errors and directly fix them.
            Fix bug #18206.

M	ChangeLog
M	src/validate.c

commit db8e1039fbd4e9e9e23273bb49ea9922dd8d595c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Jan 10 12:05:31 2009 +0000

    add LXDE in the list of registered OnlyShowIn values.
    
    2009-01-10  Vincent Untz  <vuntz@gnome.org>
    
            * src/validate.c: add LXDE in the list of registered OnlyShowIn values.

M	ChangeLog
M	src/validate.c

commit b8f66b528a0d6b5c64140304f39b50a01497e846
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Dec 10 04:43:31 2008 +0000

    fix warning in a comment
    
    2008-12-10  Vincent Untz  <vuntz@gnome.org>
    
            * src/mimeutils.c: fix warning in a comment

M	ChangeLog
M	src/mimeutils.c

commit 8fa7b28e36a81d74b671339bbbdde11a6ded2c98
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Apr 27 23:42:27 2008 +0000

    Be stricter for the MIME type check. It's actually a bit too strict right
    
    2008-04-28  Vincent Untz  <vuntz@gnome.org>
    
            Be stricter for the MIME type check. It's actually a bit too strict
            right now, see the TODO at the beginning of mimeutils.c to know how to
            improve things a bit.
    
            * src/Makefile.am:
            * src/mimeutils.[ch]: add new files
            * src/update-desktop-database.c: (process_desktop_file): use the
            improved mu_mime_type_is_valid() function instead of
            is_valid_mime_type()
            * src/validate.c: (handle_mime_key): use the improved
            mu_mime_type_is_valid() function instead of a trivial check

M	ChangeLog
M	src/Makefile.am
A	src/mimeutils.c
A	src/mimeutils.h
M	src/update-desktop-database.c
M	src/validate.c

commit 3425eaf5d0e55c4e1c853f6af6e846c7763ba48a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Apr 26 17:51:30 2008 +0000

    check that the Comment does not look like the Name of the GenericName
    
    2008-04-26  Vincent Untz  <vuntz@gnome.org>
    
            * src/validate.c: (handle_comment_key): check that the Comment does not
            look like the Name of the GenericName
            (validate_keys_for_current_group): instead of storing only the
            information that a group contain a key, also link to the content of the
            key. Also report the error of multiple keys with the same name the
            first time we have a key (instead of the second time).
            Plug a small leak.

M	ChangeLog
M	src/validate.c

commit 834fdc1f65043704962dcf26b9aa5194338eec91
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Apr 26 14:27:02 2008 +0000

    make a few more structure static, change the way we store data about the
    
    2008-04-26  Vincent Untz  <vuntz@gnome.org>
    
            * src/validate.c: make a few more structure static, change the way we
            store data about the know catgories so that we have more information
            (like dependencies)
            (handle_categories_key): updated for the previous change. We now
            additionally check that categories required by another one are present.
            Fix bug #15672.
            * src/validator.c: init warn_kde to FALSE. Fix the "warnings about KDE
            specific uses are always shown" bug.

M	ChangeLog
M	src/validate.c
M	src/validator.c

commit b2c108e4782a25545aa57c9d8add5c4ab01801cc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Apr 26 10:34:22 2008 +0000

    at least one main category must be included in the Categories. Output an
    
    2008-04-26  Vincent Untz  <vuntz@gnome.org>
    
            * src/validate.c: (handle_categories_key): at least one main category
            must be included in the Categories. Output an error if it's not the
            case.

M	ChangeLog
M	src/validate.c

commit 83e6050a2501379a7709379e9dfdf656738a7148
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 6 15:26:13 2008 +0000

    don't unlink the destination file if it's the same as the source file in
    
    2008-03-06  Vincent Untz  <vuntz@gnome.org>
    
            * src/install.c: (process_one_file): don't unlink the destination file
            if it's the same as the source file in case of errors.
            Fix bug #14851.

M	ChangeLog
M	src/install.c

commit 32ee3cdb6fa4a19fb3c42943fe9d2040560a2232
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 11 19:19:14 2008 +0000

    post-release bump to 0.16
    
    2008-02-11  Vincent Untz  <vuntz@gnome.org>
    
            * configure.in: post-release bump to 0.16

M	ChangeLog
M	configure.in

commit 173011c1a206d83d8a1e7b4032ba68c49a440b52
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 11 19:17:53 2008 +0000

    version 0.15
    
    2008-02-11  Vincent Untz  <vuntz@gnome.org>
    
            * NEWS: version 0.15

M	ChangeLog
M	NEWS

commit 19efaabf2b610205b1e93489e3084e3d62bc54b7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 5 12:09:49 2008 +0000

    Fix crash with really small lines that are invalid, like just "a". Fox bug
    
    2008-02-05  Vincent Untz  <vuntz@gnome.org>
    
            Fix crash with really small lines that are invalid, like just "a".
            Fox bug #14386.
    
            * src/validate.c: (validate_line_looks_like_group): only return
            something in *group if the group argument is not NULL, and if the line
            is actually a group one
            (validate_parse_line): ensure we pass NULL initial values to some
            functions, and don't leak key and value when processing a key-value
            line before the first group

M	ChangeLog
M	src/validate.c

commit b4fa107d134594bd02cce266be09cd68de0a9d3d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jan 20 19:33:17 2008 +0000

    don't get the MimeType key from the first start group (which might not
    
    2008-01-20  Vincent Untz  <vuntz@gnome.org>
    
            * src/update-desktop-database.c: (process_desktop_file): don't get the
            MimeType key from the first start group (which might not exist), but
            from the Desktop Entry group
            Fix GNOME bug #509526.
            * src/validate.c: (handle_icon_key): mention that Ray's change is
            temporary

M	ChangeLog
M	src/update-desktop-database.c
M	src/validate.c

commit c6b970d37acd2882adb538e9d1723ed661d0ca94
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Dec 14 14:39:31 2007 +0000

    Consider icon names with extensions a warning and not an error for now.
    
    2006-11-07  Ray Strode  <rstrode@redhat.com>
    
            * src/validate.c: Consider icon names with extensions a
            warning and not an error for now.

M	ChangeLog
M	src/validate.c

commit b589d7e7d731ecb948c8e91077110c9e09707276
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Sep 1 14:50:20 2007 +0000

    post-release bump to 0.15
    
    2007-09-01  Vincent Untz  <vuntz@gnome.org>
    
            * configure.in: post-release bump to 0.15

M	ChangeLog
M	configure.in

commit a09004c7102dfda947fb48078e749a81373f147e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Sep 1 14:48:59 2007 +0000

    version 0.14
    
    2007-09-01  Vincent Untz  <vuntz@gnome.org>
    
            * NEWS: version 0.14

M	ChangeLog
M	NEWS

commit 4c0877d7e6d832754064d6613eed69edbd5626e4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Sep 1 14:40:08 2007 +0000

    small improvements
    
    2007-09-01  Vincent Untz  <vuntz@gnome.org>
    
            * README: small improvements

M	ChangeLog
M	README

commit e08e4ea54ab1c90475f4a52bee98e234e7c79d1a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Sep 1 14:29:28 2007 +0000

    validate the desktop file after modifying its content, but before doing
    
    2007-09-01  Vincent Untz  <vuntz@gnome.org>
    
            * src/install.c: (process_one_file): validate the desktop file after
            modifying its content, but before doing anything else, so that we
            don't unlink the original file if the created one is not valid.
            Also, unlink the created file if it's not valid.

M	ChangeLog
M	src/install.c

commit c7d783c84eec8d07049ab01988e4da43559ce80f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Sep 1 14:25:55 2007 +0000

    Don't exit(), but let the main() function do it with a proper error
    
    2007-09-01  Vincent Untz  <vuntz@gnome.org>
    
            Don't exit(), but let the main() function do it with a proper error
            message.
    
            * src/install.c: (files_are_the_same): it's useless to exit() here if
            we can't stat() the files. Just continue the operations without
            removing the original file, that's the best option.
            (process_one_file): don't exit(), but set the GError

M	ChangeLog
M	src/install.c

commit 740682d75b9ea0cb2934b26f4730c0171f497cb6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Sep 1 14:10:27 2007 +0000

    require glib 2.8.0 kill (main): directly use g_mkdir_with_parents()
    
    2007-09-01  Vincent Untz  <vuntz@gnome.org>
    
            * configure.in: require glib 2.8.0
            * src/install.c: (mkdir_and_parents): kill
            (main): directly use g_mkdir_with_parents()

M	ChangeLog
M	configure.in
M	src/install.c

commit 5acb0c711dff9406bffdeb62427b3be004cc14f9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Sep 1 14:07:50 2007 +0000

    simplify the code with a macro (parse_options_callback): if
    
    2007-09-01  Vincent Untz  <vuntz@gnome.org>
    
            * src/install.c: (process_one_file): simplify the code with a macro
            (parse_options_callback): if --add-category="GNOME;GTK" is passed as
            argument, parse the list of categories instead of assuming the user
            only gave one category.
            Fix bug #12207.

M	ChangeLog
M	src/install.c

commit 532f7f7e30d54bf87f93ffa66dd503b8bff70e0c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Aug 18 08:37:15 2007 +0000

    handle -m too. Fix bug #12018. Patch by Matthias Clasen
    
    2007-08-18  Vincent Untz  <vuntz@gnome.org>
    
            * src/install.c: (parse_options_callback): handle -m too.
            Fix bug #12018.
            Patch by Matthias Clasen <mclasen@redhat.com>

M	ChangeLog
M	src/install.c

commit cf94986afb2eeb2ff0294e4448980f4030880a9e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Aug 18 08:33:34 2007 +0000

    Handle X-Foo in environments. Based on patch by Stanislav Brabec
    
    2007-08-18  Vincent Untz  <vuntz@gnome.org>
    
            Handle X-Foo in environments.
            Based on patch by Stanislav Brabec <sbrabec@suse.cz>.
            Fix bug #11565.
    
            * src/validate.c: (handle_show_in_key): handle "X-Foo" and change the
            error message to mention X-
            (handle_categories_key): change a bit the error message to mention X-

M	ChangeLog
M	src/validate.c

commit 9dec6ec674c88c9a8a6ab4aa9e71e3d9075faf22
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jul 27 16:24:53 2007 +0000

    new, checks that the value is either an absolute path to a file, or that
    
    2007-07-27  Vincent Untz  <vuntz@gnome.org>
    
            * src/validate.c: (handle_icon_key): new, checks that the value is
            either an absolute path to a file, or that the value looks like an
            icon name without an extension (png, xpm or svg). Rejects relative
            pathes too.

M	ChangeLog
M	src/validate.c

commit 5052214fbc3702cbd9aa6911890b8bd155674fbd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jul 8 21:39:57 2007 +0000

    pass the GError to g_key_file_load_from_file(), so we know when we can't
    
    2007-07-08  Vincent Untz  <vuntz@gnome.org>
    
            * src/install.c: (process_one_file): pass the GError to
            g_key_file_load_from_file(), so we know when we can't load a file and
            print an error about this. Fix bug #11500.

M	ChangeLog
M	src/install.c

commit 0d4df0787ab377628575e5eff01bb16bc46300e3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Jun 30 12:53:33 2007 +0000

    updated to desktop entry spec 1.0. Patch by Ville Skyttä
    
    2007-06-30  Vincent Untz  <vuntz@gnome.org>
    
            * misc/desktop-entry-mode.el: updated to desktop entry spec 1.0.
            Patch by Ville Skyttä <ville.skytta@iki.fi>

M	ChangeLog
M	misc/desktop-entry-mode.el

commit 352e54d67ec2c156800a771e1f42e2a48f873776
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 4 22:38:06 2007 +0000

    post-release bump to 0.14
    
    2007-06-05  Vincent Untz  <vuntz@gnome.org>
    
            * configure.in: post-release bump to 0.14

M	ChangeLog
M	configure.in

commit 4687bbc89ea9a3f01fa47452aaa4c3d825aab5e5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 4 22:36:11 2007 +0000

    version 0.13
    
    2007-06-05  Vincent Untz  <vuntz@gnome.org>
    
            * NEWS: version 0.13

M	ChangeLog
M	NEWS

commit c8e0949e5b24de6f343ed302c59be06116f5a14e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 4 22:27:48 2007 +0000

    add myself update URL of the desktop entry spec
    
    2007-06-05  Vincent Untz  <vuntz@gnome.org>
    
            * AUTHORS: add myself
            * src/validator.c: (main): update URL of the desktop entry spec

M	AUTHORS
M	ChangeLog
M	src/validator.c

commit 80a1c932b9e90caaf75857a3dd8ebfcd77fa93a5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 4 17:39:52 2007 +0000

    check if we have a vendor name before using it (main): fix bug when no
    
    2007-06-04  Vincent Untz  <vuntz@gnome.org>
    
            * src/install.c: (process_one_file): check if we have a vendor name
            before using it
            (main): fix bug when no vendor name or target dir is specified (we'd
            use an empty string in this case), don't require vendor name
            Fix bug #9988

M	ChangeLog
M	src/install.c

commit 14f6fe3f1eb4699d5020e2b4ea729419b898abc2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 4 17:24:51 2007 +0000

    Don't use GKeyFile in the validator, so we really control everything.
    
    2007-06-04  Vincent Untz  <vuntz@gnome.org>
    
            Don't use GKeyFile in the validator, so we really control everything.
    
            * src/validate.c: remove some FIXME/TODO
            (validate_string_key): use g_ascii_iscntrl() instead of
            !g_ascii_isprint(), small update for the current group
            (validate_localestring_key): small update for the current group, don't
            use GKeyFile
            (validate_boolean_key): small update for the current group
            (validate_numeric_key): ditto
            (validate_string_regexp_list_key): use g_ascii_iscntrl() instead of
            !g_ascii_isprint(), small update for the current group
            (handle_type_key): small update for the current group
            (handle_version_key): ditto
            (handle_show_in_key): ditto
            (handle_exec_key): ditto
            (handle_path_key): ditto
            (handle_mime_key): ditto
            (handle_categories_key): small update for the current group, don't
            use GKeyFile
            (handle_actions_key): ditto
            (handle_dev_key): ditto
            (handle_mountpoint_key): ditto
            (handle_encoding_key): ditto
            (validate_desktop_key): ditto, the value is an argument now
            (validate_keys_for_current_group): renamed from
            validate_keys_for_group(), small update for the current group, don't
            use GKeyFile and build a hashtable of all the keys in the current
            group, also don't validate the key for Desktop Entry groups if the
            name of the key couldn't be validated since this means we'll get
            another error
            (validate_group_name): use g_ascii_iscntrl() instead of
            !g_ascii_isprint()
            (validate_groups_and_keys): killed
            (validate_required_keys): don't use GKeyFile
            (validate_line_is_comment): new
            (validate_line_looks_like_group): new
            (validate_line_looks_like_entry): new
            (validate_parse_line): new
            (validate_parse_data): new (inspired from gkeyfile.c)
            (validate_flush_parse_buffer): new (inspired from gkeyfile.c)
            (validate_parse_from_fd): new (inspired from gkeyfile.c)
            (validate_load_and_parse): new (inspired from gkeyfile.c)
            (groups_hashtable_free): new
            (desktop_file_validate): updated
            (desktop_file_fixup): small update to avoid confusion
            * src/validator.c: (main): fix leak

M	ChangeLog
M	src/validate.c
M	src/validator.c

commit 4aab76b0fb470a1fcda17a6458ce210d44548478
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 15 22:14:06 2007 +0000

    remove mention of desktop-menu-tool kill, was useless and deprecated
    
    2007-03-15  Vincent Untz  <vuntz@gnome.org>
    
            * README: remove mention of desktop-menu-tool
            * acconfig.h: kill, was useless and deprecated
    
            * src/eggintl.h: kill, was useless since quite some time
    
            * autogen.sh:
            * configure.in: updated because of src/desktop_file.h removal
    
            * src/Makefile.am: updated for file removals/additions
            * src/desktop_file.[ch]: removed. We don't use this anymore (it was
            based on GnomeDesktopItem which nobody maintains and is too complex
            for what we need)
            * keyfileutils.[ch]: new, contains some useful functions based on
            GKeyFile
            * src/install.c: updated for changes (GnomeDesktopFile -> GKeyFile)
            (process_one_file): ditto
            also, improves a bit the --help output
            * src/validate.[ch]: pretty much a rewrite. This is based on GKeyFile
            for now, but it'll be moved to a small parser soon, so we are not
            limited because of the GKeyFile parser. The validator verifies more
            things, warns about usage of deprecated stuff, and contains some other
            nice improvements. It probably contains some bugs, though.
            * src/validator.c: updated (well, rewritten, since it's only the
            main() function). We also now have some command line arguments:
            --warn-kde to warn about usage of KDE reserved stuff
            --no-warn-deprecated to not warn about usage of deprecated stuff

M	ChangeLog
M	README
D	acconfig.h
M	autogen.sh
M	configure.in
M	src/Makefile.am
D	src/desktop_file.c
D	src/desktop_file.h
D	src/eggintl.h
M	src/install.c
A	src/keyfileutils.c
A	src/keyfileutils.h
M	src/validate.c
M	src/validate.h
M	src/validator.c

commit 818536c358d110f695c68566a23d393a19d71904
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Nov 8 20:02:58 2006 +0000

    post-release bump to 0.13.
    
    2006-11-08  Ray Strode  <rstrode@redhat.com>
    
            * configure.in: post-release bump to 0.13.

M	ChangeLog
M	configure.in

commit 521e2e104b12fa993083b97ebb26602a00030af9
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Nov 8 19:43:42 2006 +0000

    update news file
    
    2006-11-08  Ray Strode  <rstrode@redhat.com>
    
            * NEWS: update news file

M	ChangeLog
M	NEWS

commit 5424a4d0ea07609d863c29db01f59aab16352272
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Nov 7 17:23:10 2006 +0000

    If a desktop file contains "Applications" instead of "Application" make
    
    2006-11-07  Ray Strode  <rstrode@redhat.com>
    
            * src/validate.c: If a desktop file contains
            "Applications" instead of "Application" make the warning
            reflect that.

M	ChangeLog
M	src/validate.c

commit 46a49431585b61d3190cd19e7b16c6ff1179485b
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Nov 7 17:21:13 2006 +0000

    Print a warning instead of an error if categories aren't defined by the
    
    2006-11-07  Ray Strode  <rstrode@redhat.com>
    
            * src/validate.c: Print a warning instead of an error
            if categories aren't defined by the spec.  Give special
            handling to the "Application" category since it's not
            defined by the spec, but is in wide use, and can be
            translated to one of the "main categories". (gnome bug
            343799 comment 8)

M	ChangeLog
M	src/validate.c

commit 56dc8a2254fbaa8c7688594f59f841e444263208
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Nov 7 16:40:47 2006 +0000

    Validate keywords as localestrings instead of strings (red hat bug
    
    2006-11-07  Ray Strode  <rstrode@redhat.com>
    
            * src/validate.c: Validate keywords as localestrings
             instead of strings (red hat bug 172423).  Patch from
             Ville Skyttä <ville.skytta@iki.fi>

M	ChangeLog
M	src/validate.c

commit 0d12a284aa29366c367ae9f7baea154b0350b177
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Nov 7 16:18:07 2006 +0000

    update categories to match the latest version of the desktop menu
    
    2006-11-07  Ray Strode  <rstrode@redhat.com>
    
            * src/validate.c: update categories
            to match the latest version of the desktop menu
            specification, and reorder to make it easier to resync
            in the future.  Patch from
            Ville Skyttä <ville.skytta@iki.fi> (red hat bug 212705)

M	ChangeLog
M	src/validate.c

commit a594d4d44a10cec75bbc298303490e1bb51827b8
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Nov 7 16:13:38 2006 +0000

    apply fixes from Ville Skyttä <ville.skytta@iki.fi> to match the latest
    
    2006-11-07  Ray Strode  <rstrode@redhat.com>
    
            * misc/desktop-entry-mode.el: apply fixes
            from Ville Skyttä <ville.skytta@iki.fi> to match the
            latest version of the spec

M	ChangeLog
M	misc/desktop-entry-mode.el

commit d983e48807739779c09eb1bf2a336d891176839c
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Nov 6 16:51:28 2006 +0000

    fix a couple of mem leaks. Patch from Pascal Terjan (gnoem bug 345686)
    
    2006-11-06  Ray Strode <rstrode@redhat.com>
    
            * src/desktop_file.c:
            fix a couple of mem leaks.  Patch from Pascal Terjan
            (gnoem bug 345686)

M	ChangeLog
M	src/desktop_file.c

commit 0f0075ce04abe3a56c87e0eeb8384e994de06c7d
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Nov 6 16:49:15 2006 +0000

    move g_free inside if branch to prevent a double free in the else case.
    
    2006-11-06  Ray Strode <rstrode@redhat.com>
    
            * src/desktop_file.c:
            move g_free inside if branch to prevent a double free in
            the else case. Patch from Pascal Terjan (gnome bug
            345309)

M	ChangeLog
M	src/desktop_file.c

commit 5c9975bd94829b98b403139be12fc976803c9fb3
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Nov 6 16:44:48 2006 +0000

    fix category typos: TeminalEmulator -> TerminalEmulator ScreenSaver ->
    
    2006-11-06  Ray Strode <rstrode@redhat.com>
    
            * src/validate.c: fix category typos:
            TeminalEmulator -> TerminalEmulator
            ScreenSaver -> Screensaver
            spotted by Vincent Fretin (in gnome bug
            342799)

M	ChangeLog
M	src/validate.c

commit 65c2b4aa37ea0b17b834cbad32103e61c7a0e43f
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Nov 6 16:42:54 2006 +0000

    add patch from Vincent Untz to not validate categories that start with X-
    
    2006-11-06  Ray Strode <rstrode@redhat.com>
    
            * src/validate.c: add patch from Vincent Untz to
            not validate categories that start with X-
            (gnome bug 343799)

M	ChangeLog
M	src/validate.c

commit 2b2c0821053619399b11fd8edbaf3d85ad531289
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Jul 26 03:57:46 2006 +0000

    remove from cvs
    
    2006-07-25  Ray Strode <rstrode@redhat.com>
    
            * src/egg*: remove from cvs

M	ChangeLog
D	src/eggdesktopentries.c
D	src/eggdesktopentries.h
D	src/eggdirfuncs.c
D	src/eggdirfuncs.h

commit 6332730f526dd007e233cdc15a982ac9d1532b12
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Apr 18 22:36:23 2006 +0000

    post-release bump to 0.12.
    
    2006-04-18  Ray Strode <rstrode@redhat.com>
    
            * configure.in: post-release bump to 0.12.

M	ChangeLog
M	configure.in

commit 035b15e8e1f0e4f8ee42fa5f6b86f7b96cdf9e2c
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Apr 18 22:19:38 2006 +0000

    ==================== 0.11 ====================

M	ChangeLog
M	NEWS

commit a41d9e0323054501356beccde6321268372eb237
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Apr 18 22:08:10 2006 +0000

    Validate that desktop file categories match those specified in the spec.
    
    2006-04-18  Ray Strode <rstrode@redhat.com>
    
            Validate that desktop file categories match those
            specified in the spec.  Patch from Emmet Hikory
            <emmet.hikory@gmail.com> and
            Vincent Untz <vuntz@gnome.org> (bug 3337786)
    
            * src/validate.c (validate_categories): new
            function to ensure that categories are known.
    
    2006-04-18  Vincent Untz  <vuntz@gnome.org>
    
            Use GKeyFile instead and kill egg-* usage (bug 319987).
    
            * src/Makefile.am: remove egg-*
            * src/update-desktop-database.c: (process_desktop_file): use GKeyFile
            (get_default_search_path): use g_get_system_data_dirs()
    
    2006-04-18  Vincent Untz  <vuntz@gnome.org>
    
            Port to GOption (bug 338575)
    
            * configure.in: remove the check for popt, depend on glib >= 2.6.0
            * src/install.c: (parse_options_callback): rewritten
            (main): port to GOption
            * src/update-desktop-database.c: (sync_database): remove warning
            (main): port to GOption

M	ChangeLog
M	configure.in
M	src/Makefile.am
M	src/install.c
M	src/update-desktop-database.c
M	src/validate.c

commit e0d6b8a0dd16fed932d287990b44261c5fe087eb
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Aug 31 20:14:28 2005 +0000

    resync from libegg to fix grammar error spotted by Moritz Barsnick
    
    2005-08-31  Ray Strode  <rstrode@redhat.com>
    
            * src/eggdesktopentries.[ch]:
            resync from libegg to fix grammar error spotted by
            Moritz Barsnick <moritz@barsnick.net>.  (this code
            should really be changed to use gkeyfile)

M	ChangeLog
M	src/eggdesktopentries.c

commit b3ccf461e7a547f9404e58be5a9bcdfcd405de0c
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Jan 10 00:43:48 2005 +0000

    NULL terminate default search path. Spotted by Mike Hearn <mike@navi.cx>
    
    2005-01-09  Ray Strode  <rstrode@redhat.com>
    
            * src/update-desktop-database.c:
            NULL terminate default search path.  Spotted by
            Mike Hearn <mike@navi.cx>

M	ChangeLog
M	src/update-desktop-database.c

commit 14f79f1ee66203e4b67080f7e1436cb751c5b22a
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Tue Nov 23 14:01:59 2004 +0000

    Patch from Ville Skyttä <ville.skytta@iki.fi>
    
    2004-11-23  Mark McLoughlin  <mark@skynet.ie>
    
            Patch from Ville Skyttä <ville.skytta@iki.fi>
    
            * src/desktop_file.c: fix the lang -> encoding mapping
            to what the Desktop Entry Specification specifies.

M	.cvsignore
M	ChangeLog
M	src/desktop_file.c

commit 43b3a2940c5c8d2a6141610b640a977e254f06c8
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Nov 11 15:17:42 2004 +0000

    post-release bump to 0.11.
    
    2004-11-11  Mark McLoughlin  <mark@skynet.ie>
    
            * configure.in: post-release bump to 0.11.

M	ChangeLog
M	configure.in

commit 779a20fdeedc000b49e84a7fa4da4f654509427a
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Nov 11 15:16:28 2004 +0000

    Version 0.10.
    
    2004-11-11  Mark McLoughlin  <mark@skynet.ie>
    
            * configure.in: Version 0.10.

M	ChangeLog
M	NEWS

commit 86c5304b82f5027dc242cfd19072800bfba8300d
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Nov 11 15:09:12 2004 +0000

    update

M	src/.cvsignore

commit a6177c3e65189ecc5cd22c8d6e1f0a2c183b6b6b
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Nov 11 15:08:41 2004 +0000

    fix uninitialized variable.
    
    2004-11-11  Mark McLoughlin  <mark@skynet.ie>
    
            * src/desktop_file.c: (gnome_desktop_file_remove_string_from_list):
            fix uninitialized variable.
    
            * configure.in: modernize a bit, don't check for gnome-vfs,
            remove --enable-tests etc.
    
            * src/Makefile.am: remove a bunch of stuff.
    
            * src/canonicalize.[ch],
              src/dfu-test.[ch],
              src/gen-compat-tree.c,
              src/gen_table.py,
              src/menu-entries.[ch],
              src/menu-layout.[ch],
              src/menu-method.c,
              src/menu-modules.conf,
              src/menu-monitor.[ch],
              src/menu-overrides.[ch],
              src/menu-parser.[ch],
              src/menu-process.[ch],
              src/menu-tree-cache.[ch],
              src/menu-util.[ch],
              src/menu.h,
              src/vfolder-parser.[ch],
              src/vfolder-query.[ch]: remove all this menu stuff. Its now
            in GNOME itself.
    
            * test/*: remove empty dir;
    
            * Makefile.am: don't build tests dir.

M	ChangeLog
M	Makefile.am
M	configure.in
M	src/Makefile.am
D	src/canonicalize.c
D	src/canonicalize.h
M	src/desktop_file.c
D	src/dfu-test.c
D	src/dfu-test.h
D	src/gen-compat-tree.c
D	src/gen_table.py
D	src/menu-entries.c
D	src/menu-entries.h
D	src/menu-layout.c
D	src/menu-layout.h
D	src/menu-method.c
D	src/menu-modules.conf
D	src/menu-monitor.c
D	src/menu-monitor.h
D	src/menu-overrides.c
D	src/menu-overrides.h
D	src/menu-parser.c
D	src/menu-parser.h
D	src/menu-process.c
D	src/menu-process.h
D	src/menu-tree-cache.c
D	src/menu-tree-cache.h
D	src/menu-util.c
D	src/menu-util.h
D	src/menu.h
D	src/vfolder-parser.c
D	src/vfolder-parser.h
D	src/vfolder-query.c
D	src/vfolder-query.h
D	test/.cvsignore
D	test/Makefile.am

commit 5a3d85fd005d8c0e5b4be07e66eee904bf29a31a
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Oct 18 16:02:46 2004 +0000

    Error out if trying to add key-value pair to comment group (Patch from
    
    2004-10-18  Ray Strode  <rstrode@redhat.com>
    
            * src/eggdesktopentries.c:
            (egg_desktop_entries_parse_entry):
            Error out if trying to add key-value pair to comment
            group  (Patch from Miloslav Trmac <mitr@redhat.com>)

M	ChangeLog
M	src/eggdesktopentries.c

commit 1906d103c6894063d1c716b15db9cbfafe292e98
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Tue Sep 28 11:42:15 2004 +0000

    post-release bump to 0.10.
    
    2004-09-28  Mark McLoughlin  <mark@skynet.ie>
    
            * configure.in: post-release bump to 0.10.

M	ChangeLog
M	configure.in

commit 5cc73be19b4ac76b26b8107f0cabdff8af3914e0
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Tue Sep 28 11:37:17 2004 +0000

    Version 0.9.
    
    2004-09-28  Mark McLoughlin  <mark@skynet.ie>
    
            * configure.in: Version 0.9.

M	ChangeLog
M	NEWS

commit de080d604ddacd47c63fc05083db909197c4a0b8
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Sep 28 03:43:14 2004 +0000

    Don't put the if clause where the else clause should go and vice versa
    
    2004-09-27  Ray Strode  <rstrode@redhat.com>
    
            * src/eggdesktopentries
            (egg_desktop_entries_get_locale_encoding):
            Don't put the if clause where the else clause should
            go and vice versa (Spotted by Nicholas Miell,
            http://bugzilla.gnome.org/show_bug.cgi?id=153759)

M	ChangeLog
M	src/eggdesktopentries.c

commit 3bb75ce0253afb5f6bf95f786f8207ed09381a8e
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Sep 27 15:43:25 2004 +0000

    Bounds check before doing array assignment
    
    2004-09-29  Ray Strode  <rstrode@redhat.com>
    
            * src/desktop_file.c:
            (gnome_desktop_file_remove_string_from_list):
            Bounds check before doing array assignment
    
            * src/eggdesktopentries
            (egg_desktop_entries_get_locale_country):
            Don't put the if clause where the else clause should
            go and vice versa (Spotted by Nicholas Miell,
            http://bugzilla.gnome.org/show_bug.cgi?id=153759)

M	ChangeLog
M	src/desktop_file.c
M	src/eggdesktopentries.c

commit d9f9ac33c979755c887a1b3c8b63b4926c641ce1
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Sep 23 19:21:34 2004 +0000

    Fix --remove-show-in option
    
    2004-09-23  Ray Strode  <rstrode@redhat.com>
    
            * src/desktop_file.c:
            (gnome_desktop_file_remove_string_from_list):
            Fix --remove-show-in option

M	ChangeLog
M	src/desktop_file.c

commit a9ba8ec24628ca86e6e138e4ca1b371f0ced7710
Author: Dan Williams <dcbw@redhat.com>
Date:   Mon Sep 13 15:26:51 2004 +0000

    Don't try to dispose of 'entries' if it's NULL, since then
    
    2004-09-13  Dan Williams <dcbw@redhat.com>
    
            * src/eggdesktopentreis.c:
            (egg_desktop_entries_new_from_file): Don't try to
            dispose of 'entries' if it's NULL, since then
            egg_desktop_entries_free() prints out failure
            messages.

M	ChangeLog
M	src/eggdesktopentries.c

commit fda9ed5ca911030991e03b7cf7fc761056c1d154
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Sep 8 15:43:14 2004 +0000

    New macros for printing at various verbosity levels (is_valid_mime_type):
    
    2004-09-08  Ray Strode  <rstrode@redhat.com>
    
            * src/update-desktop-database.c:
            (udd_print), (udd_verbose_print):
            New macros for printing at various verbosity levels
            (is_valid_mime_type): give better error messages
            (process_desktop_files): print unparsable desktop
            files by default without verbose mode.  Inform user
            of desktop files that lack mime type keys in verbose
            mode.
            (open_temp_cache_file): change file mode of temp
            file to reflect user's umask.
            (print_desktop_dirs),
            (main): use new udd_verbose_print macro

M	ChangeLog
M	src/update-desktop-database.c

commit 4e7026a15d22bd5af7184b2bf737ceb57c85f7a5
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Sep 3 16:13:34 2004 +0000

    sync with libegg
    
    2004-09-03  Ray Strode  <rstrode@redhat.com>
    
            * src/egg*.[ch]: sync with libegg

M	ChangeLog
M	src/eggdesktopentries.c
M	src/update-desktop-database.c

commit 44faedeccad07671e2f21e756a744966aadc1fbe
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Fri Sep 3 14:35:31 2004 +0000

    forgotten news for 0.8

M	NEWS

commit 6f6ec0efffeba7cca274e8f1400cdafa11c6a638
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Fri Sep 3 14:27:46 2004 +0000

    post-release bump to 0.9.
    
    2004-09-03  Mark McLoughlin  <mark@skynet.ie>
    
            * configure.in: post-release bump to 0.9.

M	ChangeLog
M	configure.in

commit ab6d4f29f7aae1d2e537bfb01afe2842f7b0b702
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Fri Sep 3 14:26:38 2004 +0000

    Version 0.8.
    
    2004-09-03  Mark McLoughlin  <mark@skynet.ie>
    
            * configure.in: Version 0.8.

M	ChangeLog

commit 3fd76a0061e1dca888d045a63424a71edaa3dfb0
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Sep 2 22:22:16 2004 +0000

    Fixes empty subdirs not getting removed.
    
    2004-09-02  Mark McLoughlin  <mark@skynet.ie>
    
            Fixes empty subdirs not getting removed.
    
            * src/menu-process.c: (process_only_unallocated): check whether
            the subdir has no entries, not this dir.

M	ChangeLog
M	src/menu-process.c

commit 04926109349b90b66863cc522d27aab126049e17
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Sep 2 22:07:18 2004 +0000

    always invalidate the cache, even if a file has just changed - we need to
    
    2004-09-02  Mark McLoughlin  <mark@skynet.ie>
    
            * src/menu-entries.c:
            (handle_cached_dir_changed): always invalidate the cache,
            even if a file has just changed - we need to re-read the
            categories and such.
            (cached_dir_get_full_path): append a "/" between path
            elements - trying to read /usrshareapplications isn't
            going to work, is it?

M	ChangeLog
M	src/menu-entries.c

commit 99c42dd7f32176a07deac8b0885a724d75d9c203
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Sep 2 20:51:55 2004 +0000

    Don't crash if the tree has already been freed.
    
    2004-09-02  Mark McLoughlin  <mark@skynet.ie>
    
            * src/menu-process.c: (handle_menu_node_menu_changed):
            Don't crash if the tree has already been freed.

M	ChangeLog
M	src/menu-process.c

commit f6b82d1ae48432e4f80496d6a0aa64c1f3598cde
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Sep 2 15:12:05 2004 +0000

    sync with libegg
    
    2004-09-02  Ray Strode  <rstrode@redhat.com>
    
            * src/egg*.[ch]: sync with libegg

M	ChangeLog
M	src/eggdesktopentries.c
M	src/eggdesktopentries.h
M	src/eggdirfuncs.c
M	src/eggdirfuncs.h
M	src/update-desktop-database.c

commit 2b41b33c7c9866d18d89adfbfa4494569a8cd4b0
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Sun Aug 29 13:53:19 2004 +0000

    Patch from Dan Williams <dcbw@redhat.com>
    
    2004-08-29  Mark McLoughlin  <mark@skynet.ie>
    
            Patch from Dan Williams <dcbw@redhat.com>
    
            * src/menu-method.c: add a reasonable set of schemes.

M	ChangeLog
M	src/menu-method.c

commit b9671cfbb70f3f9c28089faebb1b8a69bd2d3f8d
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Sun Aug 29 13:43:39 2004 +0000

    add an only_show_in arg. (desktop_entry_tree_cache_unref: free
    
    2004-08-29  Mark McLoughlin  <mark@skynet.ie>
    
            * src/menu-tree-cache.[ch]:
            (desktop_entry_tree_cache_new): add an only_show_in arg.
            (desktop_entry_tree_cache_unref: free only_show_in.
            (reload_entry): pass in only_show_in when loading the
            tree.
    
            * src/menu-method.c: (menu_method_new): set only-show-in
            to GNOME.
    
            * src/gen-compat-tree.c: (process_one_file): don't
            set an only-show-in name. Might want a command line
            argument for this at some point.

M	ChangeLog
M	src/gen-compat-tree.c
M	src/menu-method.c
M	src/menu-tree-cache.c
M	src/menu-tree-cache.h

commit 6b76fd581e24d0845fe8a1707a80260bff4d48de
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Sun Aug 29 13:32:13 2004 +0000

    Another patch from Dan with some minor changes.
    
    2004-08-29  Mark McLoughlin  <mark@skynet.ie>
    
            Another patch from Dan with some minor changes.
    
            * src/menu-process.[ch]:
            (desktop_entry_tree_get_mtime): accessor for mtime.
            (build_tree): set the mtime to the time which we
            build the tree.
    
            * src/menu-method.c:
            (fill_in_generic_dir_info),
            (fill_in_generic_file_info): set mtime/ctime.

M	ChangeLog
M	src/menu-method.c
M	src/menu-process.c
M	src/menu-process.h

commit aae23b7a07bb99ab295572899b93c678c516281f
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Sun Aug 29 13:07:38 2004 +0000

    Patch to make the menu method notice changes in the entry directories and
    
    2004-08-29  Mark McLoughlin  <mark@skynet.ie>
    
            Patch to make the menu method notice changes in the entry
            directories and re-load the menus. Re-worked version of
            a patch from Dan Williams <dcbw@redhat.com>
    
            * src/Makefile.am: build menu-monitor.[ch]
    
            * src/menu-entries.[ch]:
            (entry_directory_add_monitor),
            (entry_directory_remove_monitor),
            (entry_directory_list_add_monitors),
            (entry_directory_list_remove_monitors): add API to support
            monitoring the contents of entry directories.
    
            * src/menu-layout.[ch]:
            (menu_node_menu_add_monitor),
            (menu_node_menu_remove_monitor): add API to support monitoring
            menu nodes.
    
            * src/menu-process.[ch]:
            (desktop_entry_tree_add_monitor),
            (desktop_entry_tree_remove_monitor): add API to support monitoring
            the entry tree. Right now, only changes in the entry directories are
            noticed and not the menu files themselves.
    
            * src/menu-tree-cache.c: use the entry tree monitoring API and
            rebuild if it changes.
    
            * src/menu-monitor.[ch]: add silly monitor abstraction.
    
            * src/menu-method.c: implement the monitor abstraction with gnome-vfs
            monitors.

M	ChangeLog
M	src/Makefile.am
M	src/menu-entries.c
M	src/menu-entries.h
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-method.c
A	src/menu-monitor.c
A	src/menu-monitor.h
M	src/menu-process.c
M	src/menu-process.h
M	src/menu-tree-cache.c
M	src/menu-tree-cache.h

commit 5ca04aeb574652e77e2d1cc7446cd0217bd0e6f3
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Sun Aug 29 12:48:09 2004 +0000

    remove FIXME to disable removing empty submenus. menu-spec says the
    
    2004-08-29  Mark McLoughlin  <mark@skynet.ie>
    
            * src/menu-process.c: (process_only_unallocated): remove
            FIXME to disable removing empty submenus. menu-spec says
            the default value for the "show_empty" attribute in
            DefaultLayout is "false" so ...

M	ChangeLog
M	src/menu-process.c

commit f36c875da8a83e629fbf389d1056ef421adf934f
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Sun Aug 29 12:29:59 2004 +0000

    Based on a patch from Dan Williams <dcbw@redhat.com>
    
    2004-08-29  Mark McLoughlin  <mark@skynet.ie>
    
            Based on a patch from Dan Williams <dcbw@redhat.com>
    
            * src/menu-entries.[ch]:
            (entry_get_nodisplay): add accessor for nodisplay flag
            (entry_new_desktop_from_file): return NULL if NoDisplay=TRUE
            (entry_new_directory_from_file): set the nodisplay flag if
            NoDisplay=TRUE.
    
            * src/menu-process.c: (tree_node_from_menu_node): if the
            last .directory has NoDisplay=true treat it as if the
            <Menu> had a <Deleted>

M	ChangeLog
M	src/.cvsignore
M	src/menu-entries.c
M	src/menu-entries.h
M	src/menu-process.c

commit 732183a20f0c4814da404cfec3b87b31071fd899
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Sun Aug 29 11:10:37 2004 +0000

    don't include desktop_file.h
    
    2004-08-29  Mark McLoughlin  <mark@skynet.ie>
    
            * src/menu-process.h: don't include desktop_file.h
    
            * src/menu-util.h: don't include menu-layout.h

M	ChangeLog
M	src/menu-process.h
M	src/menu-util.h

commit 2fcb4b84c1f87d39a2b748e1216e60a9b2ff635a
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Wed Aug 25 22:26:56 2004 +0000

    don't leak the entry sets. Patch from Kjartan Maraas in rh bug #130673
    
    2004-08-25  Mark McLoughlin  <mark@skynet.ie>
    
            * src/menu-process.c: (resolve_legacy_dir),
            (tree_node_from_menu_node): don't leak the entry
            sets. Patch from Kjartan Maraas in rh bug #130673
    
            * src/menu-method.c: (menu_method_get_info):
            free the resolved path. Another leak from rh bug #130673

M	ChangeLog
M	src/menu-method.c
M	src/menu-process.c

commit 0903e4a3f1f39b908c2240a698431bd0df617272
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Jul 22 17:01:05 2004 +0000

    sync with libegg
    
    2004-07-22  Ray Strode  <rstrode@redhat.com>
    
            * src/egg*.[ch]: sync with libegg
    
            * src/update-desktop-database.c: fix calls to work
            with changed api

M	ChangeLog
M	src/eggdesktopentries.c
M	src/eggdesktopentries.h
M	src/eggdirfuncs.c
M	src/update-desktop-database.c

commit 7fc55f50ebc307ad19fb9fb315231304f10b6093
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Jul 22 07:00:29 2004 +0000

    post-release bump to 0.8.
    
    2004-07-22  Mark McLoughlin  <mark@skynet.ie>
    
            * configure.in: post-release bump to 0.8.

M	ChangeLog
M	configure.in

commit eb0fb5ceb5be7c4e3b3539519e1e1d12f7929a21
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Jul 22 06:59:02 2004 +0000

    Version 0.7.
    
    2004-07-22  Mark McLoughlin  <mark@skynet.ie>
    
            * configure.in: Version 0.7.

M	ChangeLog
M	NEWS
M	configure.in

commit a74ca8bbc26da1ba024e7f6feeacbe9e5eada61f
Author: Jonathan Blandford <jrb@gnome.org>
Date:   Thu Jul 22 02:48:25 2004 +0000

    Make pass distcheck.
    
    Wed Jul 21 22:48:33 2004  Jonathan Blandford  <jrb@gnome.org>
    
            * src/Makefile.am:
            * misc/Makefile.am: Make pass distcheck.

M	ChangeLog
M	misc/Makefile.am
M	src/Makefile.am

commit f11686f02711fdb88b0ee977fcf31140ae74b0ff
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Jul 21 16:10:37 2004 +0000

    add new --add-mime-type and --remove-mime-type options to make it easy to
    
    2004-07-21  Ray Strode  <rstrode@redhat.com>
    
            * src/install.c: (main)
            (process_one_file):
            (parse_options_callback):
            add new --add-mime-type and --remove-mime-type options
            to make it easy to dynamically add and remove mime
            types from a desktop file.

M	ChangeLog
M	src/install.c

commit 4879cb46c884908ee61b502f89737c4a9812f2c7
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Jul 21 15:30:38 2004 +0000

    add new --rebuild-mime-info-cache option (str_has_prefix): this function
    
    2004-07-21  Ray Strode  <rstrode@redhat.com>
    
            * src/install.c: (main)
            (rebuild_cache),
            (process_one_file):
            add new --rebuild-mime-info-cache option
            (str_has_prefix): this function is now in glib,
            so remove it here and use it from there.

M	ChangeLog
M	src/install.c

commit 88729a7224944c31ac82081b73bab45cdbd26682
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Jul 21 04:09:11 2004 +0000

    Return 1 on failure, even in quiet mode.
    
    2004-07-21  Ray Strode  <rstrode@redhat.com>
    
            * src/update-desktop-database.c: Return 1 on failure,
              even in quiet mode.

M	ChangeLog
M	src/update-desktop-database.c

commit 01ea154d0a7a1543042bf5138490012eb3cd40ff
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Jul 15 21:59:49 2004 +0000

    add update-desktop-database
    
    2004-07-15  Ray Strode  <rstrode@redhat.com>
    
            * src/Makefile.am: add update-desktop-database
    
            * src/eggdesktopentries.[ch]
              src/eggdirfuncs.[ch]
              src/eggintl.h: new desktop file parser
    
            * src/gen-compat-tree.c
              src/install.c:  #include <locale.h>
    
            * src/update-desktop-database.c: creates
              cache of mime type / desktop-file-id
              associations.

M	ChangeLog
M	src/Makefile.am
A	src/eggdesktopentries.c
A	src/eggdesktopentries.h
A	src/eggdirfuncs.c
A	src/eggdirfuncs.h
A	src/eggintl.h
M	src/gen-compat-tree.c
M	src/install.c
A	src/update-desktop-database.c

commit 4d0df47a06fcda8f27f4f9b64d575fedc434b8e2
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Apr 22 13:56:06 2004 +0000

    hush

M	misc/.cvsignore

commit 404051fd0f15c5249996aa3d903d88f5cb364ada
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Mon Apr 19 06:18:28 2004 +0000

    install the elisp.
    
    2004-04-19  Mark McLoughlin  <mark@skynet.ie>
    
            * configure.in,
              misc/Makefile.am: install the elisp.

M	ChangeLog
M	configure.in
M	misc/Makefile.am

commit d819beb1eaa1ea56c8b4e4b356fce939dbb059ae
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Mon Apr 19 06:04:36 2004 +0000

    Patch from Ville Skyttä <ville.skytta@iki.fi>
    
    2004-04-19  Mark McLoughlin  <mark@skynet.ie>
    
            Patch from Ville Skyttä <ville.skytta@iki.fi>
    
            * misc/desktop-entry-mode.el: make it work a bit better
            with GNU emacs.

M	ChangeLog
M	misc/.cvsignore
M	misc/desktop-entry-mode.el

commit 2c3507439353c540bf6c97ef44b9d450cab4dfe2
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Mon Apr 19 06:03:06 2004 +0000

    add forgotten Makefile

A	misc/Makefile.am

commit d8acd71129ddeccbed216f53e8e078f291fbda2b
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Sun Apr 18 17:57:41 2004 +0000

    Patch from Ville Skyttä <ville.skytta@iki.fi> with some minor changes.
    
    2004-04-18  Mark McLoughlin  <mark@skynet.ie>
    
            Patch from Ville Skyttä <ville.skytta@iki.fi> with some
            minor changes.
    
            * src/validate.c:
            (print_fatal), (print_warning): take a filename arg and
            say whether its an error or warning.
            (validate_only_show_in): actually validate against registered
            OnlyShowIn values.
            (key_table): upd. for latest spec.
            (enum_keys): check for keys that are reserved for KDE.
            (required_section): improve validation here.
    
            * src/validator.c: (main): fixup the error messages.

M	ChangeLog
M	src/validate.c
M	src/validator.c

commit b722c62c54b795ac8fcb72d7c2a3701d66a4ed77
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Sun Apr 18 17:29:22 2004 +0000

    Warning fixes.
    
    2004-04-18  Mark McLoughlin  <mark@skynet.ie>
    
            Warning fixes.
    
            * src/menu-entries.c:
            (entry_cache_atom_name),
            (entry_cache_clear_unused): mark as unused.
    
            * src/menu-method.c:
            (menu_method_ref), (menu_method_unref): ditto.
    
            * src/vfolder-parser.c:
            (add_context_to_error), (locate_attributes): kill these.
    
            * src/menu-process.c:
            (menu_node_resolve_files_recursive): add a missing break;
            (foreach_dir): try to fixup this and give up - something
            is very broken here.

M	ChangeLog
M	src/menu-entries.c
M	src/menu-method.c
M	src/menu-process.c
M	src/vfolder-parser.c

commit d17d002c67a517fa894b5606b122aa65522d4337
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Sun Apr 18 16:30:39 2004 +0000

    add Emacs desktop entry mode from Ville Skyttä <ville.skytta@iki.fi>
    
    2004-04-18  Mark McLoughlin  <mark@skynet.ie>
    
            * misc/desktop-entry-mode.el: add Emacs desktop entry
            mode from Ville Skyttä <ville.skytta@iki.fi>

M	ChangeLog
M	Makefile.am
M	configure.in
A	misc/.cvsignore
A	misc/desktop-entry-mode.el

commit b32d8b2a1921e4adbfb1e2f3162e8f7cee200133
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Sun Apr 18 16:17:53 2004 +0000

    shush

M	.cvsignore

commit 574af0b8681a144a393b8f2869671e51afc1bcdb
Author: Dan Williams <dcbw@redhat.com>
Date:   Wed Mar 24 15:14:04 2004 +0000

    Bump to version 0.6 in preparation for a release.

M	ChangeLog
M	configure.in

commit 036d4c21a8d5b3f16f37ce4e8a8f7ab33d29b729
Author: Dan Williams <dcbw@redhat.com>
Date:   Mon Mar 22 04:46:20 2004 +0000

    src/gen-compat-tree.c src/menu-entries.c src/menu-entries.h
    
    2004-03-21  Dan Williams  <dcbw@redhat.com>
    
            * src/gen-compat-tree.c
              src/menu-entries.c
              src/menu-entries.h
              src/menu-layout.h
              src/menu-method.c
              src/menu-modules.conf
              src/menu-parser.c
              src/menu-process.c
              src/menu-process.h
              src/Makefile.am
    
              Apply Frederic Crozat's patch to bring d-f-u up
              to the freedesktop.org Menu Spec 0.8.  Approved
              by havoc.

M	ChangeLog
M	src/Makefile.am
M	src/gen-compat-tree.c
M	src/menu-entries.c
M	src/menu-entries.h
M	src/menu-layout.h
M	src/menu-method.c
M	src/menu-modules.conf
M	src/menu-parser.c
M	src/menu-process.c
M	src/menu-process.h

commit f003793aa7a371e500e1d261cca7020d213ed09a
Author: Dan Williams <dcbw@redhat.com>
Date:   Sun Mar 21 20:07:54 2004 +0000

    Don't crash when a .desktop file is a symlink pointing to a nonexistent
    
    2004-03-21  Dan Williams  <dcbw@redhat.com>
    
            * src/menu-entries.c: Don't crash when a .desktop
            file is a symlink pointing to a nonexistent file.

M	ChangeLog
M	src/menu-entries.c

commit 0bacbc6e3bbbc008b1dd1997b2382538f84670e5
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Mon Mar 1 20:05:26 2004 +0000

    Version 0.5.
    
    2004-03-01  Mark McLoughlin  <mark@skynet.ie>
    
            * configure.in: Version 0.5.
    
    2004-03-01  Mark McLoughlin  <mark@skynet.ie>
    
            Patch from Dan Williams to not segfault with .desktop
            files with comments at the start.
    
            * src/validate.c: (enum_sections), (enum_actions):
            Don't crap out if the section or action name is
            NULL.

M	ChangeLog
M	configure.in
M	src/validate.c

commit 9716fcd495f7a5876129f41e5bc860dc22d536a0
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Feb 19 14:40:28 2004 +0000

    Version 0.4
    
    2004-02-19  Mark McLoughlin  <mark@skynet.ie>
    
            * configure.in: Version 0.4

M	ChangeLog
M	configure.in
M	src/Makefile.am

commit 1cc71ab56de69bdf16bec6ad3c021809758b01ef
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Feb 19 14:03:47 2004 +0000

    Add support for .desktop files which contains Actions. Verify that the
    
    2004-02-19  Mark McLoughlin  <mark@skynet.ie>
    
            Add support for .desktop files which contains Actions. Verify
            that the Actions key and Desktop Action sections match up
            and that each Desktop Action section has an Exec key.
    
            * src/validate.c:
            (enum_sections): record the name of the main section and
            allow Desktop Action sections.
            (required_section): return the name of the main section.
            (required_keys): actually check for these keys in the correct
            section.
            (enum_actions), (error_orphaned_action),
            (required_actions): make sure the Actions key and Desktop Actions
            sections match up.
            (desktop_file_validate): upd.

M	ChangeLog
M	src/validate.c

commit e5178a6e260fdd4d98d25630f2721cec77eea11f
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Feb 19 14:01:42 2004 +0000

    hush puppies

A	src/.cvsignore
A	test/.cvsignore

commit 212304203a637227dc5f4451c5c24bb5d527f2e6
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Feb 19 14:00:18 2004 +0000

    shush

A	.cvsignore

commit 40b5b6cb7f8e8d2678c4de3ea7133988ece58c1f
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri Oct 24 00:13:51 2003 +0000

    don't return an entry's parent, only return a subdir at the exact path
    
    2003-10-23  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-process.c (tree_node_find_subdir): don't return an
            entry's parent, only return a subdir at the exact path

M	ChangeLog
M	src/menu-process.c

commit cd253d7315b8cfbef387ed40ae6c4270797b5d64
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu Oct 23 23:41:41 2003 +0000

    implement <Move> operation
    
    2003-10-23  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-process.c: implement <Move> operation
    
            * src/menu-process.c (menu_node_strip_duplicate_children): fix
            to keep later rather than earlier <Menu> nodes
            (move_children): drop the <Name> node from the source <Menu>
    
            * src/menu-parser.c (end_element_handler): don't add context to
            error messages that already have it
    
            * src/menu-parser.c (fixup_move_node): new code to canonicalize
            and verify move nodes

M	ChangeLog
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-parser.c
M	src/menu-process.c

commit 9026bd0d2c5976ef43f490cbb5c187e2de8e48bd
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu Oct 23 19:30:32 2003 +0000

    add support for OnlyUnallocated element, passes 1 more test
    
    2003-10-23  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-process.c (process_only_unallocated)
            (tree_node_from_menu_node): add support for OnlyUnallocated
            element, passes 1 more test

M	ChangeLog
M	src/menu-process.c

commit 4e31d2235f5b96c80fac2e4f5820bfba29142616
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu Oct 23 18:59:24 2003 +0000

    Localizing the menu paths gets us another 2 passes with the test suite.
    
    2003-10-23  Havoc Pennington  <hp@redhat.com>
    
            Localizing the menu paths gets us another 2 passes with the test
            suite.
    
            * src/menu-process.c (localized_path_for_entry): new function
            (foreach_print): localize the paths that are outputted with
            --test-results as the test suite wants that.

M	ChangeLog
M	src/menu-process.c
M	src/menu-process.h

commit b569aaccf68a490a1b9c725c202075745c82171e
Author: Havoc Pennington <hp@redhat.com>
Date:   Tue Oct 21 19:00:08 2003 +0000

    change to alloc the TreeNode in here instead of separately then
    
    2003-10-20  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-process.c (tree_node_from_menu_node): change to alloc
            the TreeNode in here instead of separately then
            fill_tree_node_from_menu_node
            (tree_node_from_menu_node): handle <Deleted>/<NotDeleted>

M	ChangeLog
M	src/menu-process.c

commit 91932e984d02f53d74f276fbb8725944e7d397a7
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri Oct 17 03:39:27 2003 +0000

    include full menu paths
    
    2003-10-16  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-process.c (foreach_dir): include full menu paths
    
            * src/gen-compat-tree.c (process_one_file): search for relative
            filenames in the XDG paths
    
            * src/menu-tree-cache.c (cache_lookup): fix GError pileup
    
            * src/gen-compat-tree.c: add --verbose option

M	ChangeLog
M	src/gen-compat-tree.c
M	src/menu-process.c
M	src/menu-tree-cache.c

commit 8ce78fa6a2f9a3130d9830fd5851bc59f692aa50
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu Jul 17 21:54:00 2003 +0000

    add a bunch of #ifdef READ_ONLY sections for using the backend without
    
    2003-07-17  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-method.c: add a bunch of #ifdef READ_ONLY sections for
            using the backend without editing

M	ChangeLog
M	src/menu-method.c

commit 098322cac733cdec68af17d7b8525982311641e9
Author: Havoc Pennington <hp@redhat.com>
Date:   Wed Jun 11 22:06:37 2003 +0000

    diff old vs. new tree and store the list of changes
    
    2003-06-11  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-tree-cache.c (reload_entry): diff old vs. new tree and
            store the list of changes
    
            * src/menu-method.c (do_monitor_add, do_monitor_cancel):
            monitoring using the tree diff stuff.
    
            * src/menu-process.c (desktop_entry_tree_diff): finish
            implementing this

M	ChangeLog
M	src/menu-method.c
M	src/menu-process.c
M	src/menu-tree-cache.c
M	src/menu-tree-cache.h

commit db41e321537333d3606bf27b3e49e17886e02784
Author: Havoc Pennington <hp@pobox.com>
Date:   Wed Jun 11 05:00:37 2003 +0000

    add but doesn't work yet, just syncing with work computer
    
    2003-06-11  Havoc Pennington  <hp@pobox.com>
    
            * src/menu-process.c (desktop_entry_tree_diff): add but
            doesn't work yet, just syncing with work computer

M	ChangeLog
M	src/menu-process.c
M	src/menu-process.h

commit 7af5e7979cece5de7970a4f809d1511740d7d67e
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri Jun 6 21:12:18 2003 +0000

    make this return NOT_PERMITTED rather than NOT_SUPPORTED
    
    2003-06-06  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-method.c (do_set_file_info): make this return
            NOT_PERMITTED rather than NOT_SUPPORTED
            (fill_in_generic_dir_info): fill in the uid/gid fields
            (fill_in_generic_file_info): ditto
            (menu_method_get_info): fill in file_info->name
            (do_check_same_fs): implement

M	ChangeLog
M	src/menu-method.c

commit 1b3ef9fbb92a3d8dde18120a9b9d4e1d19f150ae
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri Jun 6 19:26:31 2003 +0000

    mark cache valid again after reloading stuff, makes things a whole lot
    
    2003-06-06  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-tree-cache.c (reload_entry): mark cache valid again
            after reloading stuff, makes things a whole lot faster.
    
            * src/menu-method.c: convert some GError to GnomeVFSResult, and
            return GNOME_VFS_ERROR_INVALID_URI when passed a non-.desktop
            or non-.directory file.
            (dir_handle_new): remove extra unref on the DesktopEntryTree

M	ChangeLog
M	src/menu-method.c
M	src/menu-process.c
M	src/menu-tree-cache.c

commit 8717fa173adacea5519ccb228a0fd0c7689cbb34
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri Jun 6 16:22:55 2003 +0000

    Last bugfix so we can display redhat-menus pretty OK
    
    2003-06-06  Havoc Pennington  <hp@redhat.com>
    
            Last bugfix so we can display redhat-menus pretty OK
    
            * src/menu-process.c (node_menu_compare_func): make this consider
            whether the menu nodes have the same parent, so we don't
            consolidate dups that aren't children of the same menu
            (menu_node_strip_duplicate_children): use node_menu_compare_func
            instead of node_compare_func to see if two menu nodes are dups
    
            * src/menu-layout.c (menu_node_get_depth): new

M	ChangeLog
M	src/menu-entries.c
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-process.c

commit 960d29872085d285eccd284f4e1663b49cd3b791
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu Jun 5 23:21:17 2003 +0000

    set name of the menu file on root node
    
    2003-06-05  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-parser.c (menu_load): set name of the menu file on
            root node
    
            * src/menu-entries.c (cached_dir_lookup): fix logic a bit
    
            * src/menu-process.c (menu_node_resolve_files_recursive):
            implement DefaultAppDirs, DefaultDirectoryDirs, DefaultMergeDirs
    
            * src/menu-util.c (init_xdg_paths): move here
    
            * src/menu-process.c (move_children): fix memleak and a crash
            when moving children to an empty node
    
            * src/menu-util.c (g_string_append_random_ascii): fix warnings
    
            * src/menu-parser.c: add <DefaultMergeDirs/> support

M	ChangeLog
M	src/menu-entries.c
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-parser.c
M	src/menu-process.c
M	src/menu-tree-cache.c
M	src/menu-util.c
M	src/menu-util.h

commit 886db179daa8fb482fc8989a625143ee8864b242
Author: Havoc Pennington <hp@redhat.com>
Date:   Mon Jun 2 23:09:39 2003 +0000

    put applications-edits under "menus" (desktop_entry_tree_cache_create):
    
    2003-06-02  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-tree-cache.c (try_create_overrides): put
            applications-edits under "menus"
            (desktop_entry_tree_cache_create): can't create a menu with
            same name as a directory; and don't create random mktmp names,
            that was just crack
    
            * src/menu-layout.c
            (menu_node_remove_redundancy): fix this function to be able to
            remove redundancy despite intervening nodes.
    
            * src/menu-process.c (desktop_entry_tree_exclude)
            (desktop_entry_tree_include): add new nodes in root <Menu>, not to
            root of layout tree
            (menu_node_find_submenu): fix assertion
            (tree_node_find_subdir_or_entry): fix to return the right value
    
            * src/menu-tree-cache.c (reload_entry): fix unref/free of NULL
            fields.
            (lookup_canonical_entry): fix bug where we didn't fill
            in entry->create_chaining_to correctly
    
            * src/menu-method.c (menu_method_resolve_uri): fix bug where
            we passed wrong args to menu_method_get_tree

M	ChangeLog
M	src/menu-layout.c
M	src/menu-method.c
M	src/menu-process.c
M	src/menu-process.h
M	src/menu-tree-cache.c

commit 6790909e981587d6c7306de126101cc6a00fd259
Author: Havoc Pennington <hp@pobox.com>
Date:   Sun Jun 1 05:34:13 2003 +0000

    implement (desktop_entry_tree_cache_mkdir): implement
    
    2003-05-31  Havoc Pennington  <hp@pobox.com>
    
            * src/menu-tree-cache.c (desktop_entry_tree_cache_rmdir):
            implement
            (desktop_entry_tree_cache_mkdir): implement
    
            * src/menu-process.c (desktop_entry_tree_mkdir): implement
            (desktop_entry_tree_rmdir): implement
    
            * src/menu-overrides.c: handle overriding a desktop file
            with a '/' in the name
    
            * src/menu-method.c (menu_method_unlink): implement
    
            * src/menu-process.c (desktop_entry_tree_exclude): implement
    
            * src/menu-tree-cache.c (desktop_entry_tree_cache_delete): implement

M	ChangeLog
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-method.c
M	src/menu-overrides.c
M	src/menu-overrides.h
M	src/menu-process.c
M	src/menu-process.h
M	src/menu-tree-cache.c
M	src/menu-tree-cache.h
M	src/menu-util.c
M	src/menu-util.h

commit e650a5c592c0cc61bf6c81b24b82c92748f07927
Author: Havoc Pennington <hp@pobox.com>
Date:   Sat May 31 17:51:57 2003 +0000

    move some functions that didn't make sense in other files into here
    
    2003-05-31  Havoc Pennington  <hp@pobox.com>
    
            * src/menu-util.c: move some functions that didn't make sense
            in other files into here
    
            * src/menu-process.c (menu_node_resolve_files_recursive): fix bug
            where we used an uninitialized variable

M	ChangeLog
M	src/Makefile.am
M	src/canonicalize.c
M	src/menu-entries.c
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-method.c
M	src/menu-overrides.c
M	src/menu-overrides.h
M	src/menu-parser.c
M	src/menu-process.c
A	src/menu-util.c
A	src/menu-util.h

commit 2f385d64991be70d6bb50eff260b6f9a48c29fe2
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri May 30 22:06:48 2003 +0000

    hack (menu_node_ensure_child): hack (desktop_entry_tree_include): hack
    
    2003-05-30  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-process.c (menu_node_find_submenu): hack
            (menu_node_ensure_child): hack
            (desktop_entry_tree_include): hack
    
            * src/menu-method.c: hack
    
            * src/menu-tree-cache.c (desktop_entry_tree_cache_create): hack

M	ChangeLog
M	src/menu-layout.h
M	src/menu-method.c
M	src/menu-overrides.c
M	src/menu-process.c
M	src/menu-process.h
M	src/menu-tree-cache.c
M	src/menu-tree-cache.h

commit 18c81bf0e85df9a7ee8d3ea063f758976abf43a9
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu May 29 23:09:19 2003 +0000

    new
    
    2003-05-29  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-method.c (menu_method_resolve_uri_writable): new
    
            * src/menu-tree-cache.c (desktop_entry_tree_cache_override): new
    
            * src/menu-entries.c (entry_cache_invalidate): new
    
            * src/menu-process.c (merge_resolved_copy_of_children): lots of
            fixing
    
            * src/menu-layout.c (menu_node_steal): fix to update
            node->parent->children pointer
    
            * src/gen-compat-tree.c (process_one_file): fix build

M	ChangeLog
M	src/menu-entries.c
M	src/menu-entries.h
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-method.c
M	src/menu-overrides.c
M	src/menu-parser.c
M	src/menu-process.c
M	src/menu-process.h
M	src/menu-tree-cache.c
M	src/menu-tree-cache.h
M	src/vfolder-parser.c

commit 2da219479f1dd0f267607b3d273899f6963e669b
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu May 29 18:08:24 2003 +0000

    fix build
    
    2003-05-29  Havoc Pennington  <hp@redhat.com>
    
            * src/gen-compat-tree.c (process_one_file): fix build

M	ChangeLog
M	src/gen-compat-tree.c

commit d6f012c8d4d36cb77f19a1e4a91c17474a2ffcea
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu May 29 16:46:27 2003 +0000

    add allow_missing_basename argument
    
    2003-05-28  Havoc Pennington  <hp@redhat.com>
    
            * src/canonicalize.c (g_canonicalize_file_name): add
            allow_missing_basename argument
    
            * src/menu-tree-cache.c (init_xdg_paths): hack to pass in
            the create_chaining_to to desktop_entry_tree_load()
    
            * src/menu-method.c (menu_method_get_tree): adapt to new API
    
            * src/menu-process.c (desktop_entry_tree_load): take
            an argument which is the menu file to chain to
            in a newly-created menu file
    
            * src/menu-layout.c (menu_cache_get_menu_for_file):
            same, allow specifying a file to chain to if we
            create a new menu file

M	ChangeLog
M	src/Makefile.am
M	src/canonicalize.c
M	src/canonicalize.h
M	src/menu-entries.c
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-method.c
M	src/menu-overrides.c
M	src/menu-overrides.h
M	src/menu-parser.c
M	src/menu-process.c
M	src/menu-process.h
M	src/menu-tree-cache.c
M	src/menu-tree-cache.h

commit a7bfa852da88ec7be894684b5037c9a80d9df98d
Author: Havoc Pennington <hp@redhat.com>
Date:   Wed May 21 21:50:48 2003 +0000

    Enough bugfixes to be able to view a sample menu in nautilus and launch
    
    2003-05-21  Havoc Pennington  <hp@redhat.com>
    
            Enough bugfixes to be able to view a sample menu in nautilus and
            launch apps.
    
            * src/menu-process.c (tree_node_find_subdir_or_entry): fill in the
            node when we are loading a .desktop file
    
            * src/menu-method.c (menu_method_get_info): new function
            (do_get_file_info): change so we can stat a directory,
            doh
    
            * src/menu-process.c (tree_node_find_subdir_or_entry): handle '/'

M	ChangeLog
M	src/menu-method.c
M	src/menu-process.c

commit 5a4c5b172c9a0ddee78524b8e8ed5639944e1465
Author: Havoc Pennington <hp@redhat.com>
Date:   Wed May 21 20:29:06 2003 +0000

    implement directory of .desktop file overrides
    
    2003-05-21  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-overrides.c: implement directory of .desktop file
            overrides
    
            * src/menu-layout.c (g_file_save_atomically): export

M	ChangeLog
M	src/menu-layout.c
M	src/menu-layout.h
A	src/menu-overrides.c
A	src/menu-overrides.h

commit 35cb1a6884dead580b7a2c0056253896007f1af8
Author: Havoc Pennington <hp@redhat.com>
Date:   Tue May 20 22:47:00 2003 +0000

    code stuff, gnomevfs-ls/gnomevfs-cat/gnomevfs-info are now up and running.
    
    2003-05-20  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-method.c: code stuff,
            gnomevfs-ls/gnomevfs-cat/gnomevfs-info are now up and running.
    
            * src/menu-process.c (tree_node_find_subdir_or_entry): fix
    
            * src/menu-tree-cache.c (parse_search_path_and_prepend): fix
            (init_xdg_paths): fix
    
            * src/Makefile.am: fix to link the menu-* sources into the VFS
            module.

M	ChangeLog
M	src/Makefile.am
M	src/menu-entries.c
M	src/menu-layout.c
M	src/menu-method.c
M	src/menu-modules.conf
M	src/menu-parser.c
M	src/menu-process.c
M	src/menu-process.h
M	src/menu-tree-cache.c

commit 361071b919aa3031bd6b295c5430bd8d77544c6f
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu May 15 22:27:13 2003 +0000

    hacking
    
    2003-05-15  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-method.c: hacking
    
            * src/menu-process.c (tree_node_find_subdir): fix so we don't
            ignore trailing junk on paths
            (desktop_entry_tree_resolve_path): new

M	ChangeLog
M	src/menu-method.c
M	src/menu-process.c
M	src/menu-process.h

commit df4c3bcb31cf668f30cf82a1f869e0cd339e39cb
Author: Havoc Pennington <hp@redhat.com>
Date:   Wed May 14 22:56:48 2003 +0000

    quick implementation without file change monitoring.
    
    2003-05-14  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-tree-cache.c: quick implementation without file change
            monitoring.

M	ChangeLog
M	src/Makefile.am
M	src/menu-method.c
M	src/menu-process.c
M	src/menu-process.h
M	src/menu-tree-cache.c
M	src/menu-tree-cache.h

commit 336f02b3fc0a9dae50624a7ccbab27500372933e
Author: Havoc Pennington <hp@redhat.com>
Date:   Tue May 13 20:42:54 2003 +0000

    new file to store cache of DesktopEntryTree
    
    2003-05-13  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-tree-cache.c: new file to store cache of
            DesktopEntryTree

M	ChangeLog
M	src/Makefile.am
M	src/menu-method.c
M	src/menu-process.c
M	src/menu-process.h
A	src/menu-tree-cache.c
A	src/menu-tree-cache.h

commit 9d901a7f4feb34d48f40a8705d522fac66ef61e9
Author: Havoc Pennington <hp@redhat.com>
Date:   Mon May 12 22:29:19 2003 +0000

    fix a bunch of compiler warnings (desktop_file_fixup): add code to fix
    
    2003-05-12  Havoc Pennington  <hp@redhat.com>
    
            * src/validate.c: fix a bunch of compiler warnings
            (desktop_file_fixup): add code to fix semicolon termination of
            string lists if necessary.
    
            * src/desktop_file.c (gnome_desktop_file_merge_string_into_list):
            handle case where existing list is missing ';' at the end;
            patch from Adrian Reber

M	ChangeLog
M	src/desktop_file.c
M	src/menu-method.c
M	src/validate.c

commit 349c98626c6357e6cf25326baf357a856f1b240d
Author: Havoc Pennington <hp@redhat.com>
Date:   Mon May 12 20:51:53 2003 +0000

    automake, aclocal 1.7
    
    2003-05-12  Havoc Pennington  <hp@redhat.com>
    
            * autogen.sh (ACLOCAL): automake, aclocal 1.7
    
            * configure.in: check for optional gnome-vfs, not required
            of course, just a hack to share some menu code for now.
    
            * src/menu-method.c, src/Makefile.am: gnome-vfs boilerplate,
            doesn't yet do anything.

M	ChangeLog
M	autogen.sh
M	configure.in
M	src/Makefile.am
A	src/menu-method.c
A	src/menu-modules.conf

commit 1f34cb995e6ac5befdf56a7ebb6fae3b7b16a151
Author: Havoc Pennington <hp@pobox.com>
Date:   Sat May 10 21:01:26 2003 +0000

    implement serialization of the "DOM tree" of menu nodes so that we can
    
    2003-05-10  Havoc Pennington  <hp@pobox.com>
    
            * src/menu-layout.c (menu_node_append_to_string): implement
            serialization of the "DOM tree" of menu nodes so that we can
            resave after editing.
            (menu_node_append_child): fix this, it was messing up order
            of nodes
            (menu_cache_sync_for_file): implement doing the standard
            write-to-tmp-and-rename hoop-jumping.

M	ChangeLog
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-parser.c
M	src/menu-process.c

commit f67acc13aff1f1975b0e420c879f5afb89786a30
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri May 9 23:55:47 2003 +0000

    use a quark scheme for entry->categories to save time/memory
    
    2003-05-09  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-entries.c: use a quark scheme for entry->categories
            to save time/memory
    
            * src/desktop_file.c (parse_key_value): fix a memory leak

M	ChangeLog
M	src/desktop_file.c
M	src/gen-compat-tree.c
M	src/menu-entries.c
M	src/menu-entries.h

commit 72cbb370318d2d484248d0b94cd507cb29730572
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri May 9 22:11:33 2003 +0000

    refactor this to use MenuCache and EntryCache and as a result make more
    
    2003-05-09  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-process.c: refactor this to use MenuCache and
            EntryCache and as a result make more sense.
    
            * src/menu-layout.c: add MenuCache object; don't track
            is_file_root; don't try to autodrop cache when a menu
            node is unref'd (didn't work anyway).
    
            * src/menu-entries.c: invent an EntryCache object to get rid of
            global variables

M	ChangeLog
M	src/gen-compat-tree.c
M	src/menu-entries.c
M	src/menu-entries.h
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-process.c
M	src/menu-process.h
M	src/menu.h

commit e434380b935a1984fb4b4f256647fedc0fb1190a
Author: Havoc Pennington <hp@pobox.com>
Date:   Fri May 9 04:14:45 2003 +0000

    make @ a valid byte in locale names, patch from Richi Plana
    
    2003-05-09  Havoc Pennington  <hp@pobox.com>
    
            * src/desktop_file.c: make @ a valid byte in locale names, patch
            from Richi Plana

M	ChangeLog
M	src/desktop_file.c

commit d5336e6b1da6dc5993b48c7e091b4693d379fcdb
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu May 8 22:01:25 2003 +0000

    sort entries by basename
    
    2003-05-08  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-process.c (fill_tree_node_from_menu_node): sort entries
            by basename

M	ChangeLog
M	src/menu-process.c

commit cf667e29c1854de40ed4522c62dac70eb54253b5
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu May 8 21:50:52 2003 +0000

    fix list manipulation screwup that caused obscure memory error
    
    2003-05-08  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-entries.c (entry_directory_list_add): fix list
            manipulation screwup that caused obscure memory error
            (find_value): fix bug that made it not work, and avoid extra
            strlen calls
    
            * src/menu-layout.h: add macros to disable verbose mode

M	ChangeLog
M	src/menu-entries.c
M	src/menu-layout.h
M	src/menu-process.c

commit f10d0e2fc86e43674f7801562f62744ad7bf7a98
Author: Havoc Pennington <hp@redhat.com>
Date:   Tue May 6 23:36:00 2003 +0000

    add ability to print in the format of test suite expected results file
    
    2003-05-06  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-process.c (foreach_print): add ability to print in the
            format of test suite expected results file

M	ChangeLog
M	src/gen-compat-tree.c
M	src/menu-process.c
M	src/menu-process.h

commit 87fa08c52c1b01ac9a6ae1928e9fd7cce4b71dad
Author: Havoc Pennington <hp@redhat.com>
Date:   Mon May 5 20:51:11 2003 +0000

    allow nodes with NULL dir_entry, the menu spec allows that. (foreach_dir,
    
    2003-05-05  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-process.c (tree_node_free_if_broken): allow nodes with
            NULL dir_entry, the menu spec allows that.
            (foreach_dir, foreach_print): assorted fixes, can now print a
            trivial two-item menu.

M	ChangeLog
M	src/dfu-test.c
M	src/menu-process.c
M	src/menu-process.h

commit 3b6274f2646fd5bd2334c72543e717203738add3
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri May 2 21:55:22 2003 +0000

    create the node->app_dirs node->dir_dirs objects and account for
    
    2003-05-02  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-layout.c (menu_node_menu_ensure_entry_lists): create
            the node->app_dirs node->dir_dirs objects and account for
            MENU_NODE_ROOT node type

M	ChangeLog
M	src/menu-layout.c

commit 7bb06d10749e9e7cfcdd7e81bcba51e9b30a4185
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri May 2 21:35:09 2003 +0000

    use basedir stuff stored on root node instead of dealing with it in this
    
    2003-05-02  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-process.c: use basedir stuff stored on root node
            instead of dealing with it in this file
    
            * src/menu-parser.c (menu_load): set basedir
    
            * src/menu-layout.c (menu_node_copy_one): copy fields in MenuNode
            "subclasses"
            (menu_node_get_basedir): new
            (menu_node_get_content_as_path): new
    
            * configure.in: add more compiler warnings, and --enable-tests
    
            * src/menu-layout.c (dfu_test_menu_nodes): start setting up unit
            test stuff

M	ChangeLog
M	configure.in
M	src/Makefile.am
M	src/desktop_file.c
A	src/dfu-test.c
A	src/dfu-test.h
M	src/menu-entries.c
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-parser.c
M	src/menu-process.c
M	test/Makefile.am
D	test/all-tests.sh
D	test/run-test.c
D	test/test-data-01/desktop-entries/gnome-terminal.desktop
D	test/test-data-01/desktop-entries/kde-KMail.desktop
D	test/test-data-01/test01.menu
D	test/test-data-01/test01.results

commit f89f7608c1fd54eced4ce406c22c471d4ff86411
Author: Havoc Pennington <hp@pobox.com>
Date:   Fri May 2 02:52:54 2003 +0000

    implement (desktop_entry_tree_foreach): implement
    
    2003-05-01  Havoc Pennington  <hp@pobox.com>
    
            * src/menu-process.c (desktop_entry_tree_print): implement
            (desktop_entry_tree_foreach): implement
    
            * src/menu-entries.c (entry_set_new): fix to init to all bits zero

M	ChangeLog
M	src/gen-compat-tree.c
M	src/menu-entries.c
M	src/menu-process.c
M	src/menu-process.h

commit 8f1b0e36649e3ef93393c6edaba56a11e89c4078
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu May 1 22:07:42 2003 +0000

    change to only warn about invalid keys, don't die (enum_keys): remove
    
    2003-05-01  Havoc Pennington  <hp@redhat.com>
    
            * src/validate.c: change to only warn about invalid keys, don't
            die
            (enum_keys): remove warning about Icon field with no .png extension
            (desktop_file_validate): fix to reset fatal_error_occurred on each
            call
    
            * src/gen-compat-tree.c: hook up the new menu code, so we can
            start debugging
    
            * src/validate.c: allow GenericName, StartupNotify, StartupWMClass
    
            * src/menu-parser.c: got it compiling, most code should be there,
            untested

M	ChangeLog
M	README
M	src/gen-compat-tree.c
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-parser.c
M	src/menu-process.c
M	src/menu-process.h
M	src/validate.c
M	src/vfolder-parser.c
M	src/vfolder-query.c
M	src/vfolder-query.h

commit 8edbe57d225a317b40ed49e959a375c9edbbff76
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu May 1 19:22:50 2003 +0000

    got it compiling, most code should be there, untested
    
    2003-05-01  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-parser.c: got it compiling, most code should be there,
            untested

M	ChangeLog
M	configure.in
M	src/Makefile.am
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-parser.c
M	src/menu-parser.h

commit 73baa8239a6be957e7831f20cda971f9c180733f
Author: Havoc Pennington <hp@redhat.com>
Date:   Wed Apr 30 22:51:50 2003 +0000

    more random hacking, syncing between computers
    
    2003-04-30  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-parser.c: more random hacking, syncing between computers

M	ChangeLog
M	src/menu-entries.c
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-parser.c
M	src/menu-parser.h

commit 87f5833e4f2553d9836f3f41da0911513b116746
Author: Havoc Pennington <hp@pobox.com>
Date:   Wed Apr 30 03:36:42 2003 +0000

    skeletal noncompiling base file for menu xml parser thing
    
    2003-04-30  Havoc Pennington  <hp@pobox.com>
    
            * src/menu-parser.c: skeletal noncompiling base file for menu xml
            parser thing

M	ChangeLog
A	src/menu-parser.c
A	src/menu-parser.h

commit 11f3ada037c9ca03ec528c5947684145a6901ee1
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri Apr 11 21:15:12 2003 +0000

    don't stop checking as soon as we see an Encoding field. Fix from Ville
    
    2003-04-11  Havoc Pennington  <hp@redhat.com>
    
            * src/validate.c (required_keys): don't stop checking as soon as
            we see an Encoding field. Fix from Ville Skytta
            <ville.skytta@iki.fi>

M	ChangeLog
M	src/validate.c

commit fd5d068c71f30cfd3baadc326c2bd7167336c620
Author: Havoc Pennington <hp@pobox.com>
Date:   Mon Dec 23 02:12:57 2002 +0000

    allow specifying expected name of directory nodes, and allow quoting names
    
    2002-12-21  Havoc Pennington  <hp@pobox.com>
    
            * test/run-test.c (main): allow specifying expected name of
            directory nodes, and allow quoting names and entry filenames so we
            can test for handling of whitespace etc.

M	ChangeLog
M	src/menu-layout.h
A	src/menu.h
M	test/Makefile.am
A	test/all-tests.sh
M	test/run-test.c
A	test/test-data-01/desktop-entries/gnome-terminal.desktop
A	test/test-data-01/desktop-entries/kde-KMail.desktop
A	test/test-data-01/test01.menu
A	test/test-data-01/test01.results

commit 8d70254d7ab5850228634f71bbc2cc4e9f5f9653
Author: Havoc Pennington <hp@pobox.com>
Date:   Mon Dec 16 02:45:35 2002 +0000

    rename since glib 2.2 now has the symbol
    
    2002-12-15  Havoc Pennington  <hp@pobox.com>
    
            * src/vfolder-query.c (my_str_has_suffix): rename since glib 2.2
            now has the symbol
    
            * src/menu-process.c (tree_node_find_subdir): fix compilation
    
            * test/run-test.c (main): add a start on a test program, which
            takes a file describing the menu file to load and the expected
            results of parsing that menu file, and checks whether the right
            results are generated.

M	ChangeLog
M	Makefile.am
M	configure.in
M	src/menu-layout.c
M	src/menu-process.c
M	src/vfolder-query.c
A	test/Makefile.am
A	test/run-test.c

commit 21659e07c876bb66fbe16a11b211322424e96e06
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu Nov 21 22:19:52 2002 +0000

    fix a bug (find_subdir in iter not dir)
    
    2002-11-21  Havoc Pennington  <hp@redhat.com>
    
            * src/menu-entries.c (cached_dir_find_entry): fix a bug
            (find_subdir in iter not dir)
    
            * src/menu-process.c (fill_tree_node_from_menu_node): fill in a
            name for each TreeNode

M	ChangeLog
M	src/menu-entries.c
M	src/menu-entries.h
M	src/menu-process.c
M	src/menu-process.h

commit 12fcf30e6f1040bfd5d9139d1329e96af053b0d6
Author: Havoc Pennington <hp@pobox.com>
Date:   Mon Nov 18 22:34:06 2002 +0000

    sync

M	src/menu-entries.c
M	src/menu-entries.h
M	src/menu-layout.c
M	src/menu-layout.h
M	src/menu-process.c

commit 7eb20ca89df580031e2561b9e804b3306cf57fed
Author: Havoc Pennington <hp@pobox.com>
Date:   Mon Nov 18 05:11:54 2002 +0000

    commit some more hacking on new menu format

M	src/Makefile.am
M	src/canonicalize.c
M	src/menu-entries.c
M	src/menu-entries.h
M	src/menu-layout.c
M	src/menu-layout.h
A	src/menu-process.c
A	src/menu-process.h

commit 9ad85a6e66f8f55300e18849caa9d86d093242df
Author: Havoc Pennington <hp@pobox.com>
Date:   Sun Nov 17 06:00:02 2002 +0000

    sync some hacking on new menu spec

A	src/canonicalize.c
A	src/canonicalize.h
A	src/menu-entries.c
A	src/menu-entries.h
A	src/menu-layout.c
A	src/menu-layout.h

commit b535a3cfffc97d053203eff003fe1d84c2fb053f
Author: Havoc Pennington <hp@redhat.com>
Date:   Wed Aug 7 01:22:56 2002 +0000

    add another unlink() for .directory files
    
    2002-08-06  Havoc Pennington  <hp@redhat.com>
    
            * src/vfolder-query.c (symlink_recurse_nodes): add another
            unlink() for .directory files

M	ChangeLog
M	src/vfolder-query.c

commit 7fa8528c3ceff10a166e8403da3f3337d0537010
Author: Havoc Pennington <hp@redhat.com>
Date:   Wed Aug 7 01:03:11 2002 +0000

    unlink symlink before trying to create it again, to avoid errors and be
    
    2002-08-06  Havoc Pennington  <hp@redhat.com>
    
            * src/vfolder-query.c (symlink_recurse_nodes): unlink symlink
            before trying to create it again, to avoid errors and be sure
            we replace the old link.

M	ChangeLog
M	src/vfolder-query.c

commit cfd78005708d5bebd2f00be5176ec2eb8ffbecdd
Author: Havoc Pennington <hp@redhat.com>
Date:   Sun Aug 4 18:16:52 2002 +0000

    create target directory if it doesn't exist.
    
    2002-08-04  Havoc Pennington  <hp@redhat.com>
    
            * src/install.c (main): create target directory if it doesn't
            exist.
    
            * configure.in: 0.3

M	ChangeLog
A	INSTALL
M	configure.in
M	src/install.c

commit 0a4715e8a7371b1bdda57c558f158cee34ccf0f6
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri Aug 2 02:02:22 2002 +0000

    when complaining about a duplicate, say where the other one is.
    
    2002-08-01  Havoc Pennington  <hp@redhat.com>
    
            * src/vfolder-query.c (add_or_free_desktop_file): when complaining
            about a duplicate, say where the other one is.
            (load_tree): only read DATADIR/applications if the menu file
            didn't specify any directories.

M	ChangeLog
M	src/vfolder-query.c

commit 7e1c8495091d3f04911619656edb7a8e6f739b8c
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri Aug 2 01:55:14 2002 +0000

    when complaining about a duplicate, say where the other one is.
    
    2002-08-01  Havoc Pennington  <hp@redhat.com>
    
            * src/vfolder-query.c (add_or_free_desktop_file): when complaining
            about a duplicate, say where the other one is.

M	ChangeLog
M	src/vfolder-query.c

commit 2eeb9f0ab3ba404b83197d489ee327b09be29085
Author: Havoc Pennington <hp@redhat.com>
Date:   Wed Jul 24 03:52:33 2002 +0000

    actually get rid of desktop files that should not be shown following
    
    2002-07-24  Havoc Pennington  <hp@redhat.com>
    
            * src/vfolder-query.c (add_or_free_desktop_file): actually
            get rid of desktop files that should not be shown following
            OnlyShowIn

M	ChangeLog
M	src/vfolder-query.c

commit 363a9f309a4f648a1b5ce97da16e097a3e12dfda
Author: Havoc Pennington <hp@redhat.com>
Date:   Mon Jul 22 14:28:35 2002 +0000

    add --print-available option
    
    2002-07-22  Havoc Pennington  <hp@redhat.com>
    
            * src/gen-compat-tree.c: add --print-available option
    
            * src/vfolder-query.c: add function to print out all the
            desktop files that would be used by a menu file

M	ChangeLog
M	src/gen-compat-tree.c
M	src/vfolder-query.c
M	src/vfolder-query.h

commit e97999c4970661aaa0e7fa6cca9d4aaa98431d2a
Author: Havoc Pennington <hp@redhat.com>
Date:   Tue Jul 9 15:28:33 2002 +0000

    fix up "KDE Desktop Entry"
    
    2002-07-09  Havoc Pennington  <hp@redhat.com>
    
            * src/validate.c (desktop_file_fixup): fix up "KDE Desktop Entry"
    
            * src/desktop_file.c (gnome_desktop_file_rename_section): new
            function
            (gnome_desktop_file_has_section): new function

M	ChangeLog
M	src/desktop_file.c
M	src/desktop_file.h
M	src/validate.c

commit d664c3712d85e76872942577be628b2cfe2e551e
Author: Havoc Pennington <hp@redhat.com>
Date:   Tue Jul 9 15:18:05 2002 +0000

    fix a memmove to use bytes instead of number of lines, fixes a crash
    
    2002-07-09  Havoc Pennington  <hp@redhat.com>
    
            * src/desktop_file.c (gnome_desktop_file_unset_internal): fix a
            memmove to use bytes instead of number of lines, fixes a crash

M	ChangeLog
M	src/desktop_file.c

commit 39cdf03f94ce8a511259019e9cfc67f7e9511a65
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri Jun 21 22:02:37 2002 +0000

    validate that KDE/GNOME are spelled all-caps in OnlyShowIn
    
    2002-06-21  Havoc Pennington  <hp@redhat.com>
    
            * src/validate.c: validate that KDE/GNOME are spelled all-caps in
            OnlyShowIn
    
            * src/install.c: add a --remove-key option to remove bogus keys
    
            * src/validate.c (validate_strings): check that string list keys
            end in a semicolon

M	ChangeLog
M	src/install.c
M	src/validate.c

commit d814b584606950ca5fa31c0ecbf3689ec2ca06be
Author: Havoc Pennington <hp@redhat.com>
Date:   Fri Jun 21 20:03:00 2002 +0000

    implement --copy-name-to-generic-name, --copy-generic-name-to-name
    
    2002-06-21  Havoc Pennington  <hp@redhat.com>
    
            * src/install.c (process_one_file): implement
            --copy-name-to-generic-name, --copy-generic-name-to-name
    
            * src/desktop_file.c (gnome_desktop_file_copy_key): new function
            (gnome_desktop_file_unset): new

M	ChangeLog
M	src/desktop_file.c
M	src/desktop_file.h
M	src/install.c

commit a61a592df86e6868b5fe2c4db8ccb884a01d3278
Author: Havoc Pennington <hp@pobox.com>
Date:   Sun Jun 16 04:57:30 2002 +0000

    fix delete_original flag so it actually gets filled in and works
    
    2002-06-16  Havoc Pennington  <hp@pobox.com>
    
            * src/install.c: fix delete_original flag so it actually gets
            filled in and works

M	ChangeLog
M	src/install.c

commit fdc95762963d7c0cf41dc053f7f5fe79c7350738
Author: Havoc Pennington <hp@redhat.com>
Date:   Wed Jun 5 17:50:22 2002 +0000

    0.2 version
    
    2002-06-05  Havoc Pennington  <hp@redhat.com>
    
            * configure.in: 0.2 version
    
            * src/Makefile.am (desktop_menu_tool_SOURCES): rename
            desktop-menu-gen-compat-dir to desktop-menu-tool

M	ChangeLog
M	configure.in
M	src/Makefile.am
M	src/gen-compat-tree.c

commit 8e875e276160aa3b8f4df878da54dd48d31b892d
Author: Havoc Pennington <hp@pobox.com>
Date:   Sun May 26 03:05:08 2002 +0000

    add OnlyShowIn support.
    
    2002-05-25  Havoc Pennington  <hp@pobox.com>
    
            * src/vfolder-query.c (add_or_free_desktop_file): add OnlyShowIn
            support.

M	ChangeLog
M	src/gen-compat-tree.c
M	src/vfolder-query.c
M	src/vfolder-query.h

commit 1b44e0fe285649a0ded80537ef1ac8bed0bbc412
Author: Havoc Pennington <hp@pobox.com>
Date:   Sun May 26 02:52:55 2002 +0000

    Add the create-a-dir-of-symlinks support.
    
    2002-05-25  Havoc Pennington  <hp@pobox.com>
    
            * src/vfolder-query.c (desktop_file_tree_write_symlink_dir):
            Add the create-a-dir-of-symlinks support.
    
            * src/desktop_file.c (gnome_desktop_file_merge_string_into_list):
            fix bug when adding the first string in the list.
    
            * src/vfolder-query.c: handle OnlyUnallocated correctly

M	ChangeLog
M	src/desktop_file.c
M	src/gen-compat-tree.c
M	src/vfolder-query.c
M	src/vfolder-query.h

commit ea3ae9af38c5b91639b230230abcd89dbfb4d399
Author: Havoc Pennington <hp@pobox.com>
Date:   Sat May 25 22:20:27 2002 +0000

    handle OnlyUnallocated correctly
    
    2002-05-25  Havoc Pennington  <hp@pobox.com>
    
            * src/vfolder-query.c: handle OnlyUnallocated correctly

M	ChangeLog
M	src/vfolder-query.c

commit 8747f23472c676050ed20779a372594a415bd88b
Author: Havoc Pennington <hp@pobox.com>
Date:   Sat May 25 21:38:50 2002 +0000

    sync

M	src/desktop_file.c
M	src/vfolder-parser.c
M	src/vfolder-parser.h
M	src/vfolder-query.c

commit ae2e0112247e2051365fa4b16d8c143760c0c6e9
Author: Havoc Pennington <hp@pobox.com>
Date:   Sat May 25 17:10:17 2002 +0000

    roughly functional folder parser, now need to do queries

M	ChangeLog
M	src/Makefile.am
M	src/desktop_file.c
M	src/gen-compat-tree.c
M	src/install.c
M	src/validate.c
M	src/validate.h
M	src/validator.c
M	src/vfolder-parser.c
M	src/vfolder-parser.h
M	src/vfolder-query.c

commit fb84475184e0db6d0290a5c37669dfa1b3fe13a3
Author: Havoc Pennington <hp@pobox.com>
Date:   Sat May 25 15:26:46 2002 +0000

    add missing file

A	src/gen-compat-tree.c

commit 3bca6ce565162dc8d438d8d90f89057b566609e1
Author: Havoc Pennington <hp@pobox.com>
Date:   Fri May 24 23:26:26 2002 +0000

    sync

M	src/Makefile.am
M	src/desktop_file.c
M	src/desktop_file.h
M	src/validate.c
M	src/vfolder-parser.c
M	src/vfolder-parser.h
A	src/vfolder-query.c
A	src/vfolder-query.h

commit f18dad8924d65ccf912998563ced1bd8fc2787b9
Author: Havoc Pennington <hp@pobox.com>
Date:   Thu May 23 22:30:13 2002 +0000

    sync

M	src/vfolder-parser.c

commit cac685aa505c0d314d4feb4bd1528ad4e498d414
Author: Havoc Pennington <hp@pobox.com>
Date:   Wed May 22 22:05:35 2002 +0000

    making a backup

M	src/vfolder-parser.c
M	src/vfolder-parser.h

commit e5472f378207808d909441d2819c99bcb56ccf72
Author: Havoc Pennington <hp@pobox.com>
Date:   Tue May 21 21:42:12 2002 +0000

    sketch out the code via cut-and-paste

A	src/vfolder-parser.c
A	src/vfolder-parser.h

commit 4c1df1e03626592d022c1a5aad7ef4b4b8f175b3
Author: Havoc Pennington <hp@pobox.com>
Date:   Tue May 21 20:16:05 2002 +0000

    some stuff that should have been commited a while ago

M	README
M	src/install.c

commit 510b2cf30369d4197814eb86cd611b5b2c4a2c71
Author: Havoc Pennington <hp@pobox.com>
Date:   Thu May 9 14:37:47 2002 +0000

    validate the generated file not the original, and fix certain
    problems such as a broken Encoding field automatically.

M	src/desktop_file.c
M	src/install.c
M	src/validate.c

commit 21c4ab5ffe06c93a6dbab90d3dc5033457e51ef1
Author: Havoc Pennington <hp@pobox.com>
Date:   Wed May 8 22:45:26 2002 +0000

    add validation to the desktop file installer

M	src/Makefile.am
M	src/desktop_file.h
M	src/install.c
M	src/validate.c
A	src/validate.h
A	src/validator.c

commit d9670add585b1a240241267f7a8d401c42a6147c
Author: Havoc Pennington <hp@pobox.com>
Date:   Wed May 8 21:32:22 2002 +0000

    add/remove category/onlyshowin implemented

M	src/desktop_file.c
M	src/desktop_file.h
M	src/install.c

commit 81f02fc96534f4761313ef387fcb9490f568ab56
Author: Havoc Pennington <hp@pobox.com>
Date:   Tue May 7 22:22:31 2002 +0000

    implement --add-category

M	src/desktop_file.c
M	src/desktop_file.h
M	src/install.c

commit 10afee4b6ceb1381cfcaad9ac23f76fc47d15b04
Author: Havoc Pennington <hp@pobox.com>
Date:   Tue May 7 22:10:15 2002 +0000

    initial desktop_file_set_raw implementation

M	src/desktop_file.c
M	src/desktop_file.h

commit 2404e9496031da3870292198272634e0575a11e6
Author: Havoc Pennington <hp@pobox.com>
Date:   Tue May 7 20:34:50 2002 +0000

    sync, includes fixes from Alex

M	src/desktop_file.c
M	src/desktop_file.h
M	src/install.c
M	src/validate.c

commit 384b863f6308a38fbcaa134afd519ec41bacf562
Author: Havoc Pennington <hp@pobox.com>
Date:   Mon May 6 22:58:00 2002 +0000

    fixes

M	src/install.c

commit ecdd19e0847789f0572e0b9c1d3901b459d28b9b
Author: Havoc Pennington <hp@pobox.com>
Date:   Mon May 6 22:53:06 2002 +0000

    initial sketching-out of desktop-file-install program

M	configure.in
M	src/Makefile.am
M	src/desktop_file.c
M	src/desktop_file.h
A	src/gen_table.py
M	src/install.c
M	src/validate.c

commit fe13f72775439d87973d2ab2467a9f52852e44be
Author: Havoc Pennington <hp@pobox.com>
Date:   Mon May 6 21:08:30 2002 +0000

    initial import

A	AUTHORS
A	COPYING
A	ChangeLog
A	Makefile.am
A	NEWS
A	README
A	acconfig.h
A	autogen.sh
A	configure.in
A	src/Makefile.am
A	src/desktop_file.c
A	src/desktop_file.h
A	src/install.c
A	src/validate.c
